Contents.htm

Orienteering Organiser 2013 - 12.00, © 1988-2016

Getting started
Create a new event
Course setting
 | Course setting toolbar
 | Descriptions
 | Control cards
 | Overprint courses onto the map
 | Export to OCAD
 | Relay
Course consulting
Event administration
 | Entries
 | Import - Export competitors
 | Start time drawing
 | Start lists
 | Registration
 | Finish
 | Problem solving during time taking
 | Results
 | Networking
 | SPORTident
 | Options
Analysis
Spectator information
Event options


How_to_process_event.htm

How to process event

BEFORE EVENT:

Prepare courses:
Create a new event
Set courses (enter courses)
Enter classes and write a course for each class.
Prepare decsriptions, print courses onto maps and prepare master control cards if they are needed.

Prepare result processing: menu Event contains function for event administration
Enter class fees
Enter Entries (Event/Competitors)
If you have entered entries to the text file with fixed column length earlier or you have got entry by e-mail, you can import them too.
Draw start times
Print start lists for event and publishing for internet.

Prepare registration:
Enter number of prepared maps in Event/Classes.
Prepare forms for late entries and entry changes.
The best way is if club coach brings entry changes filled in prepared forms. Do changes in printed start lists – man responsible for registration sees actual state on the start list and the paper is the best backup. Man responsible for registration fills start time to prepared form and sends this form to the computer stuff – computer stuff needs quiet for his work.
Well managed registration is assumption for success result managing, especially if you use electronic punching system – otherwise big problems will occur.
Time taking preparation:
If you use for time taking computer network set properly all parameters for networking and think over computers cooperation and prepare suitable ardware. Set all needed parameters in Event/Options.
Try to ensure connection between start and finish areas. If any competitor stars with wrong electronic punching card number then starter can send message to finish area so that this number could be changed before the competitor will finish.
Prepare SPORTident equipment, if it is used.
Set needed event parameters

EVENT DAY:

Registration.
Well managed registration is assumption for success result managing, especially if you use electronic punching system – otherwise big problems will occur.
Set start clock time exactly to time programed in SPORTident stations, otherwise you will have wrong competitor times.
Check how many maps is necessary to draw by Event /Reports/Classes.
Check if SPORTident in the forest works properly by SPORTident cards.

Finish:
It is necessary to prepare printed start list of classes – you will need it if some competitor with wrong or missing e-card number finishes. Then computer asks for competitors ID. ID you will find in printed start list – it if faster than use computer.
It is necessary to store copy of data file (*.oor) after finished registration which you can use in case that computer crashes or electricity outages. Then you can repeat all e-card reading by [image] Event amidnistration/Tools/Read e-card log [image] (*.epl) which contains every read e-card.
Computer stuff must be very responsible, because it is necessary to check if every e-card was read successfully. Staff must answer computer questions, if some competitor try to read his e-card second time, stuff must decided if competitor should be disqualified if he started earlier or he must enter competitor ID if e-card number is wrong or missing. Next problem can appear when team members change their legs during relay event.
Study how to behave in case that start is delayed or computer crash
Open window Event/Finish závodníku and process finish of competitors.
You can print tickets with preliminary results or split-times from finish queue by Event/Tools
If you use courses where competitors are not disqualified for missing control (beginners courses) it is necessary to change competitor result manually in window Finish.
Results:
The best is to print results with split-times or without them by second computer connected to network by menu Event/Results.

Price giving:
Competitors which can’t be overtaken have dot “.” after his place (the dot will appear only if start times of class was drawn properly – you must see start time of the last competitor in the class in the First controls table).

Spectators:
If you organise big event or you want to prepare information for spectators, you can provide information for commentator or spectators.
Networking .
Application files, data
See Menu Event:

Relay:
If you want to organize relay enable relay courses.

Set relay courses and prepare next thing similar to single event.
Fill name of club and number team in the club for entries (VSP I – abbreviation and number)
Set start time interval to 0 and process start time drawing – start times will be drawn for first legs only.
Fill names and electronic punching card numbers during registration.

Sprint - Semifinal, Final.


New_event.htm

Create a new event

First create a new event. Select [image] File/New event and then set event settings.
Select requested map area

Then you must read the map template. Map template you can obtain from the map drawn in OCAD. Use function Export to BMP in OCAD. You can scan by scanner printed map too. Only BMP format can be used. You are strongly recommended to obtain a map of minimum size in MB otherwise you may have problems reading the template. or work will be slow

The size in MB of the map template file depends on:

  1. DPI: The higher the resolution the larger bitmap file will be produced. 100 DPI is sufficient for simple terain, 150 DPI for more complicated terain.
  2. The number of colours: 256 colours is sufficient, 16 colours map can be use too. If you use true colour map, the size of the bitmap will be 36 x more than 16 colours map.
Then you must read the map template by [image] File/Open template.
If you have not a map template, you can set courses without a map .
Next you set the controls, courses and classes


Course_setting.htm

Course setting

1. Start and finish
First you must set at least one start and one finish. Click on the start icon [image] in the toolbar (cursor will change) and click on the start location on the map. Repeat, if you need to set other starts. Click on the finish icon [image] in the toolbar (cursor will change) and click on the finish location on the map. Repeat, if you need to set other finishes.
In a similar way you can set other objects (control points, refreshments, first aid points, map exchanges, mandatory crossing, print marks and plotting marks) or marked routes and forbidden areas [image].
Delete an object:
First select it (it must not be selected as part of a selected course) and press the [image] Delete key or press the right mouse button and choose [image] Remove.item.
Change the position of a control code:
Select control, press the right mouse button and choose [image] Position of code item. Then press the left mouse button in the place of the new position of the new control code.
Cut the control point circle:
Click on the scissors icon [image] in the toolbar. Click on the circle (part of the circle disappears). If you click again, part of the circle appears.
Rotate a mandatory crossing:
Select the mandatory crossing, press the right mouse button and choose [image] Rotate item. Then press the left mouse button in the position of the direction in which the mandatory crossing is to be rotated.
Multistage controls:
if you are setting a multistage event, you can use some controls for more than one stage. Press the right mouse button on the asked control and check the stage you want to use control for. If you change any property of this control, this property will be changed for stages the control is used for.

2. Course setting (single)
a. Create a new course.
Click on the New course icon [image] in the toolbar. Enter the name of the new course. The new course will appear on the screen in red.

b. Add a control point to the course
I. Existing control point: Select the control point iconin toolbar. Click on the location of the control point on the map and enter the control point code. Select the edit [image] icon in the toolbar. Press the left mouse button on the connection between the start and finish. Keeping the left mouse button pressed, drag the connection to the location of the control point. When you reach the control point, release the button. In a similar way you can add other objects (map exchanges, line breaks).
II. New control point: Select the edit icon in the toolbar. Press the left mouse button on the connection between the start and finish. Keeping the left mouse button pressed, drag the connection to the location of the control point. When you reach control point, press the [image] Shift key, release the mouse button and then release the [image] Shift key. A new control point will be created and added to the course. You can add only control points this way.
If you redraw courses already planed on the map only, you can use course setting with codes.

c. Delete a control point from the course
Select the course. Click on the control point (control point will appear in yellow). Press the [image] Delete key or press the right mouse button and choose [image] Remove a control from the course item.

d. Set a type of connection between two control points
Select the course. Press the right mouse button on the connection between two control points. Choose the [image] Connection item. Set type of connection:
- With connection
- Without connection
- Mandatory crossing
- Marked route – then click on the marked route between selected pair of control points.

e. Climb between a pair of controls
Select the course. Press the right mouse button on the connection between two control points. Choose [image] Climb item. Enter the climb in metres.

f. Set the position of a control point number
Select the course. Press the right mouse on the control point. Choose [image] Position of control point number item. Then press the left mouse button in the location of the new control point number.

3. Edit existing courses
Only courses that have a cross (x) in front of their names in the list of courses (in the toolbar) are displayed in the course setting window (map window) If you double click on the course name in this list, the cross disappears. If you double click again, the cross (and also the course) appears.
If you click on a course that has no cross (x) in front of its name on the map, this course will not be selected. You can select a course without a cross (x) by clicking on its name in the list of courses.

Special courses:
Single with loops course setting
Relay course setting
Single courses with a Butterfly setting

Beginners courses with marked route for all course length:
  1. Set the marked route on the map [image] and set the type of line.
  2. Click on this marked route to be selected.
  3. Click on the Marked route edit field in the toolbar –marked route number appears in this field. If you want to delete assigned marked route from the course, click on a free space on the map and then on the marked route filed. 0 appears in this field.

Courses with nest(s):
  1. Set the course as classic single course
  2. Select the course
  3. Click on the first control in the nest by right mouse button
  4. Select Begin/End of nest
  5. Click on the last control in the nest by right mouse button
  6. Select Begin/End of nest
  7. Press F5 to refresh course

Team competition (sum of punching):
1. check „Relay event“ in „Options/Event administration“
2. Create a new course with 1 leg, (set nests if needed)
3. Create a new class
4. Menu „Course setting/Classes“, enter number of team member into „Comb.legs“ column
5. A table will be opened, enter the name of the previous created course and leg no.1 for every team member (every team member will have the same course
6. Menu „Event administration/Classes“, tab „Results“, set the column „Team kind“ according to your request.
See Event administration/Classes for more details.


Course_setting_Toolbar.htm

Toolbar

Toolbar contains tools for the Course setting editor.
edit an existing object
cut a control point circle
add a new course
copy existing course
add a new control point
add a new auxiliary point (for line break)
add a new start
add a new finish
add a new refreshment point
add a new first aid point
add a new mandatory crossing
add a new map exchange
add a new marked route or out-of-bounds area
position of top left corner of descriptions on the map
add a new registration cross
add a new plotter adjustment point
Text add a new text (do later text changes in Data/Controls)
HE position of class title
GPS
1. Click on the icon with the GPS text
2. Click on the place in the map its GPS coordinates you know and enter the coordinates in the open dialog
3. Click on the seconds place in the map its GPS coordinates you know and enter the coordinates in the open dialog
4. The coordinate grid will appear. If you move the mouse the GPS coordinates are shown on the bottom. If you want to see the coordinates in mm press [image] shift key

Edit and insert mode will be toggled by pressing the right mouse button in the course editor.
Controlsif it is checked, all control points will be displayed in the course setting window
Codesif it is checked, all control points will be displayed with their code numbers
Runners routes if it is checked, all runners routes are displayed
Fields [image] length, climb, climb in %, number of controls, number of map exchanges, number of variants and number of junction points are read only, they can not be modified.
Marked route- marked route number for beginner course.
Legs: number of legs for relay course. You can modify it when it is relay course setting enabled only.
Lock: displays state of active course locking. If a course is locked then it is not possible to add or remove controls from the course.
List of courses: all courses in the stage are displayed in this list. If you click on the name of course, the course will be emphasized. If a course is checked it will be all times displayed in course editor. If you press the right mouse button everywhere on the list of courses, local menu for selecting or deselecting all courses will appear. This local menu can be stated by narrow button above the list of courses too.
Stage switches: are located in bottom area of the toolbar. If you want to choose other stage, click on the desired number of stage. Buttons under switches turn on or turn off showing other stages – other stages are shown by grey colour.
If all controls have been set and you want to avoid to accidental changing of co-ordinates of control points press this button [image]. Co-ordinates of control points will be locked –you will not be able to move the controls. If you click on this button again, they will be unlocked.


Course_setting_with_codes.htm

Course setting with codes

Course setting with codes is possible for single courses only. If you want to use the programme only for descriptions printing for relay or single with loops courses, locate control points in the course editor nearly as they are located on the printed map and then set the course in a normally way in course editor.
Choose menu item [image] Course setting/Set course with codes a select a course.
There are list of all controls in left listbox and list of codes of course in right listbox in the window.
If you want to add a control point to the course, click by mouse in the list of codes of the course on the control. (New code of control will be added after this control.) Then either:

  1. write code of control to the field [image] Control and press [image] Enter or
  2. doubleclick on the code of control in the list of all controls or
  3. click on the code of control in the list of all controls an then click on [image] > button.
If you write code of a new (non existing) control, this control will appear in the left down corner of course editor.
To delete control from the course use [image] < button.
If you want to choose start or finish, you have to locate it in course editor first. Then run window for course setting with codes again and select start or finish from combo box.


Course_setting_Single_with_loops.htm

Single with loops course setting

If you want to set a single with loops course, you must choose junction points. One course can have more than one junction point. Every loop starts from a junction point and comes back to junction point.

  1. Set one variant of the whole course.
  2. Set junction points. Select the course. Press the right mouse button on the junction point and choose the [image] Junction point item (first junction is designated number 1). Repeat this action for however many controls points are included in the junction point. If the course has more than one junction point repeat this procedure on the other junction point(s). If you mark the control in junction point(s) correctly, the number of variants will appear in the toolbar.
  3. Draw variants for competitors


Course_setting_Butterfly.htm

Single with Butterfly course settings

If you set a course with Butterfly you have to set enter and exit points.
Entry point is the control in the Butterfly, which each competitor enters as the first (no.2 below).
Exit point is the control in the Butterfly, which each competitor enters als the last (no.10 below)

  1. Set a complete course that contains butterfly first.
  2. Then, select the course in the course designer, right click on the butterfly enter point and select [image] Butterfly/Set entry point.
  3. Then, right click on the butterfly exit point and select [image] Butterfly/Set exit point.
  4. If you want to remove a control point, right click on the point and select [image] Butterfly/Reset point.
  5. Check if number of variants in course setting toolbar on the right side is set to 2.
  6. Nalosujte varianty
The course with Butterfly creates 2 variants
1-2-3-4-5-6-7-8-9-10-11
1-2-8-9-3-4-5-6-7-10-11


Course_setting_Relay.htm

Relay course setting

Relay course setting is done by setting only one ”skeleton” (all legs) for one relay course (you need not set a single course for each variant).

If you want to set a relay course it is necessary to check the checkbox Relay, enabled in event options.

  1. Create a new course and enter the number of legs.
  2. Set one whole leg (for example first leg).
  3. Mark junction points. (Each competitor has to pass through a junction point). Press the right mouse button and choose [image] Junction point item. Repeat for all the junction points.
  4. Set all branching (legs). If you press the left mouse button on the connection between two control points, the connection will be shown in yellow. If you press the left mouse button again, part of the course between two junction points will be show in yellow. This time not releasing the button, drag the connection of junction points to the new control point (the new control point will be added to next branch (leg)). The connection of control points will be toggled by clicking until the number of course branches between junction points equals the number of legs. The number of branches is limited to 5. The number of legs for relay is limited to 20.

Draw variants for teams

Forced legs requirements:
If you want so that all competitors form one leg come through the same branch then select branch, press right mouse button and check legs which have to come through this branch. The branch through which any leg comes is visible thick.

Using more courses for one class:
It is suitable for event with more than 4 or 5 legs when men and women makes one team. For example 4 men and three women. You set one longer course for with 4 legs and one shorter course with 3 legs. Enter number of all legs (7) into classes table. Then click on the Legs button in above the table and set combination of legs:
1 men 1 leg 2 women 1 leg 3 men 2 leg 4 women 2 leg 5 women 3 leg 6 men 3 leg 7 men 4 leg In this case it is suitable to set both course (men and women) with approximately the same number of variant so that the distribution o variants will be the best.

Manually variant assign:
There is normally no reason to edit relay variants. If you really want do this, note that variant number is one and it is valid for all legs of team. It ensure that all teams have the same course although they run in course segments in different order.
You must not change variant numbers after you have printed courses on the map or you have printed control descriptions !!!
If a course is defined:
START
31 32 33
40
41 42 43
100
Finish
It has 36 variants. Number variant for team is valid from 1-36.
(If it is 37 then it means variant No. 1., 38 ->No.2, etc.)

 First branching  Second branching
    31,32,33        41,42,43
 1.  1 2 3           1 2 3  1.leg 31,40,41,100  2.leg 32,40,42,100 3.leg 33,40,43,100
 2.  1 3 2           1 2 3  1.leg 31,40,41,100  2.leg 33,40,42,100 3.leg 32,40,43,100
 3.  2 3 1           1 2 3
 4.  2 1 3           1 2 3
 5.  3 1 2           1 2 3
 6.  3 2 1           1 2 3
 7.  1 2 3           1 3 2
 8.  1 3 2           1 3 2
 9.  2 3 1           1 3 2
10.  2 1 3           1 3 2
11.  3 1 2           1 3 2
12.  3 2 1           1 3 2

13-18. -""-          2 1 3

19-24. -""-          2 3 2

25-30. -""-          3 1 2

31-36. -""-          3 2 1
You can simply try so set such a course and set number of variants for teams in:
Course setting/Draw variants/Edit variants
and then print list of codes by
Course setting/Reports/Codes for all teams
Variant drawing algorithm:
When you use [image] Course setting/Draw variants/Whole class (All classes) then:
When 18 teams run in such a class then number of variants are drawn that team courses would be mixed as much as possible:
Team Var.No.
1 1
2 3
3 5
. .
18 35


CS_Marked_routes.htm

Marked routes and forbidden areas

Marked routes (line objects) and forbidden areas (area objects) are set in a similar way. After setting the line or margin of the area you set the type of this object.
Select Marked route icon in the toolbar. Press the left mouse button at the beginning of the line. Drag the line to the next line point. Release and press the left mouse button again and drag next part of line.

After finishing drawing you can change type of line or area object. Select it and press the right mouse button. Set parameters in Line-area type dialog:
Line type:
Full
Dashed
Crossing
None
Area type:
Hatching
Crossing
None
Draw line/area: if it is not checked line/area will be neither printed nor plotted
Line angle in area (deg): angle of lines in area if Area type is set to Hatching or Crossing
Line difference in area (mm): difference between lines in area if Area type is set to Hatching or Crossing
Plotter pen number: if it is different to zero, another plotter pen will be selected by plotting.
Stretch: parameters for stretching horizontal and vertical line/area in %.
Move: parameters for horizontal and vertical moving line/area in ;mm.
Angle: angle in degrees for line/area rotating.
Button [image] Use: makes line/area according to set parameters.
Button [image] Turn: turns sequence of points in line/area (the first point will be the last).
Note: if you want to assign marked route for beginners courses then it is important to uncheck “Draw line/area” property otherwise the route will be drawn over the circle of controls of course.
Samples:
Marked route: Line type-full, Area type-none
Out-of-bounds area: Line type-full, dashed or none, Area type – hatching


Dialog_Climbing.htm

Dialog Climbing

The dialog for entering climbing between controls in a course. It is possible to enter climb either in metres or in number of contours according to state of radio button [image] Type of entering. If you enter climb by number of contours then it is necessary to enter difference between contours in metres.

If you click into field for entering climb in the table then selected leg between two controls will be focused on the map and climb can be read from map on the screen.

If the leg between two controls is used by more courses then it is not necessary to enter climb twice or more times.

Column [image] Failing displays climb in opposite way.


CS_Draw_variants.htm

Draw variants

Variants are drawn for a class. The number of competitors (for single with loops) or number of teams (for relay) in the class must be entered.
The number of variants for a course can be seen in the toolbar.
Select menu item [image] Course setting/Variants:
Item [image] All classes: variants for all classes will be drawn (old variants will be redrawn).
Item [image] Whole class: variants for all competitors or teams in the class will be drawn or redrawn.
Item [image] Add to the class: if you increase the number of competitors or teams in the class and you do not want to redraw old variants for competitors or teams that have already been drawn (for example, you have already overprinted courses), select this item. Variants will be drawn only for new competitors or teams.
If you want to change variants for competitors or teams, select item Edit variants.
See Relay course setting


CS_Master_cards.htm

Master control cards

Punch patterns for control points:
Set available punch patterns in Data/Punches/Edit symbols.
Set punch patterns for control points in Data/Controls (click on the column Punch and select the desired symbol).

Print master control cards:
Select menu item Print/Control cards. Select items for printing in the print list window.. Selected items will appear in the browse window. Then you can print them by clicking on the printer icon.

Using the same punching set:
If you want to save punch patterns assigned to control points, use Data/Punches/Export punches for controls (TXT file with PUN extension will be created). If you want to read punch patterns assigned to control points (for example, from the last event), use Data/Punches/Import punches for controls and select *.PUN file.


Dialog_IOF_descriptions.htm

Edit IOF descriptions

Edit window for entry symbol of IOF descriptions (pictorial) for control:
Enter description of control point:
Click on the list of controls to select the control and its column. Then double click on the list of symbols to insert the desired symbol to column of control point. If you want to delete a symbol from the control point row, click on the column and press the [image] Delete key.
Enter crossing of two objects:
If you want to enter for example crossing of path and ditch, enter path to the column D, crossing to the column E. Click on the F column and set radio button in bottom part of the window to [image] Objects from column D. Then enter ditch to the column F.
Enter a marked route:
If want to set a marked route from a control, click on the control in the list of controls. Then select the required type of marked route from the radio button (bottom right corner) and enter the distance in metres to editline.


CS_IOF_Descriptions.htm

Descriptions

Edit IOF descriptions for control points:
Select item [image] Course setting/Print/IOF descriptionsor select the control point in the map window and press the right mouse button and select the IOF descriptions item.
Edit IOF descriptions

Print IOF descriptions:
Select menu item [image] Course setting/Print/Descriptions. Selected items for printing in the print list window.. Selected items will appear in the browse window. Then you can print them by clicking on the printer icon.
If you want do give control descriptions to all competitors use button [image] Classes for copy. Descriptions for all classes will be placed on papers and optimised according to number of competitors in a class so that you use minimal number of papers for copy. Then copy printed number of every page on a copy machine.

Appearance of IOF symbols:
You can set the appearance of descriptions or select textual descriptions or use font for descriptions in event options..


Edit_controls.htm

Edit controls

Edit table for control points (or other point objects) properties
General:
X,Y: | control point co-ordinates in mm
Group: | number of groups of controls (for course makers)
Punch: | punch pattern for paper punching system (click with the left mouse button on the column to change the symbol)
Same e-code: | if it is checked, the visible code of control point in a forest is the same as the code of the electronic punching control
Code: | if [image] Same code is not checked, the code of this column will be shown in the control master card for EMIT (backup paper) or exported for the event administration programme. When competitor e-card is checked then this code is expected.
Points: | number of points for control for rogaining. Sum of all points must be less than 1000
Malfunction: | if check the control, then competitor who have not punched this control will not be disqualified
Textual description: | textual description for control point
Use text: | if it is checked, textual description will print to description instead of pictorial To add or delete controls use course setting editor.


Edit_courses.htm

Edit courses

Edit table for courses:
If you want to delete an existing course press [image] Ctrl-Delete.
If you want to add a course use the toolbar button.
Name: name of course
Length: length of course (editable if automatic length calculation is turned off)
Climb: climb of course (editable if automatic climb calculation is turned off)
Controls: number of controls of course
Marked route: marked route number, if marked route is used all the way (beginner’s courses). For how to set marked route on the course, see course setting editor.
Legs: Number of legs on the course (can be changed on the toolbar).
Free seq. – (scorelauf) if it is checked then
  1. when the course is drawn, connections between controls are missing
  2. code of control is drawn instead of control number in a course and if number of points for control is higher than 0 then it is drawn after code
  3. when competitor’s card is checked then sequence of controls is not checked


Edit_classes.htm

Edit classes

Edit table for classes:
Click on [image] Add button to add a new class.
Click on [image] Delete button to delete an existing class
Name: | name of class
Course: | course for class (click on column to change course).
Teams (competitors): | number of teams for relay class or number of competitors for single class
First No.: | Start number of first team or competitor in a class.
Text. Descr.: | Class descriptions will be print as textual descriptions instead of pictorial.
Stage: | if it is checked, then the class is used in current stage
Comb. legs: | if you want to set course for class in relay event from more relay courses (5 and more members teams) then enter in this field number of all legs in the class (sum of number of legs selected courses)
EMIT: | class use EMIT system (EMIT backup checket will be printed if you choose print cards).
Button Legs: | It open window for definition of combination relay courses if one relay class uses more then one course.


Edit_intervals.htm

Edit intervals

Enter intervals:
First start: | enter start time of first competitor in the class
Interval: | enter start interval between two competitors in a class


Edit_variants.htm

Edit variants

You can change the variant number for competitors or a team in the class.
The number of variants is valid for the whole team, i.e. for all legs.
See Relay course setting


CS_Print_window.htm

Adjust print window

This window appears after you start print courses onto the map onto the map. It provides adjustment courses onto the map.
If you plot on the plotter by using internal plotter driver (or digitise control co-ordinates), move with the plotter pen by using buttons [image] left, right, up, down. If you have set adjust by pen you have to move pen to registration cross No.1.
If you plot on the plotter by Windows driver, set offset of drawing by these buttons.
Size of plotter pen step you can set by radio button [image] small, middle and large and their values in mm.
If you press button [image] Draw registration crosses, number of set registration crosses will be plot. If registration crosses are not adjusted well, set required difference by buttons and press button [image] Draw registration crosses again. New registration crosses will be plot greater.
Plotting will be started by button [image] OK.


Course_overprint.htm

Course overprinting on the map, export to OCAD

Set the print window by [image] File/Print window. Print window will have the size of the actual map window. Then you can click on any side of the print window and drag its side as necessary.
If you print on the Windows printer or Windows plotter, you have to select Windows driver using [image] File/Printer setup. If you plot by plotter set these Windows driver parameters: pen width to minimum (otherwise plotter will hatch lines), print directly to printer (otherwise plotting can be interrupted).
If you plot the course on a plotter by internal driver, you have to select internal plotter driver using [image] Options/Plotter driver.
Every time it is necessary to install at least one Windows printer driver on your computer - page size is obtained from actual driver.
Select [image] Course setting/Print/Maps. Select items for printing in the print list window. and click on [image] Do button.
Set the kind of print (Windows printer or plotter, internal plotter, export to BMP, export to DXF), zoom of map, and overlaps in the map print properties window.

How to adjust course onto the map:
1. You have to set registration crosses.
2. Set how many registration crosses will be used for adjust in Options/Drawing (you can create more registration crosses than you set for adjust).

Pen plotters:useinternal plotter driver. check Adjust by pen. If you have set origin plotter pen position [image], in the beginning of plotting the pen will be moved nearly to registration cross No.1 position. After starting plotting Adjust window will appear. Set the pen position by buttons exactly to registration cross No.1 position on the map.
In the case that you use internal plotter driver and you have not set Adjust by pen it is necessary to set Origin pen position. Then make adjust of plotting by print of registration crosses.

Ink plotters: you can use internal or Windows plotter driver. Do not check Adjust by pen.
After starting plotting Adjust window appears. Then adjust plotting by print of registration crosses.

Printers: to adjust drawing by printing on printer use Print window. Set print window to be close the printer page size, which is set in printer windows driver. Use printer option to print.

Other settings:
You can change the appearance of an overprinted course in Options/Drawing.
If you want to print descriptions on the map, set its position (available only for Windows printer or plotter or export do BMP file) .

Export to OCAD:
Export:
Set radio button to [image] DXF File and click in the [image] OK button. If you have selected only one item then select output file. If you have selected more than one file, then for every item will be created a file with the item name and DXF extension.
Import to OCAD:
Open OCAD. Use File/Import and select the DXF file. Set radio button [image] Coordinates to [image] Other 1.0mm/unit. Click on CRT.. button and select OORGOCAD.CRT file. Click on the [image] OK button to complete import.


Dialog_Select_Classes_Courses_Controls.htm

Print list window

You can see the list of courses and classes in the left-hand list and the list of controls in the middle list. Copy classes, courses, control points or groups of control points by double clicking on the list of courses/classes or control points or by using > button onto the right-hand list (list of items for printing).
If you use map exchanges and you want to print part of course then you have to expand class item and select the part of the class.
Press [image] Next button for printing.
If you print course on the map, by using [image] Preview button you will see what will be printed on the screen. If you print second time you don’t see the window for print options If you want to change print options use [image] Setup button.


Dialog_Print_map_options.htm

Print map options

To overprint courses on the map:
Set the radio button to [image] Printer.
You can set pages with horizontal or vertical overlap.
If you want to print courses with the map template check [image] Map template.

To plot courses on the map:
Set the radio button to [image] Plotter.

To export to BMP file:
Set the radio button to [image] BMP file.
Set resolution of DPI. The higher the resolution the larger bitmap file will be produced. 100DPI is sufficient for simple terain, 150DPI for more complicated terain:
If you want to print courses with the map template check [image] Map template.

To export to DXF file:
Set the radio button to [image] DXF file.

For all choices above:
If you choose more than one item to print and you
-check [image] All to one sheet:, all items will be produced on one sheet or one file over the other.
-don’t check [image] All to one sheet:, each item will be produced on one sheet or one file alone. To export to BMP or DXF, files with the names of items will be produced.
Button [image] To map size: if you press this button the size of the print window will be set to be the same as the size of the map template.
Button [image] To paper size: if you press this button the size of the print window will be set to be the same as the size of paper for printing.


CS_Take_coordinates_by_plotter.htm

Take co-ordinates by plotter

If the printed map is stretched compared to the printing films you can adjust control point co-ordinates by plotter before overprinting courses onto the map or course plotting.
After choosing this menu item window for adjust plotting will appear. First set the plotter pen to the first adjust point. Then move the plotter pen by clicking on the buttons until the pen reaches the location of the control point on the map. Then define control codes and click on the button. If the control point doesn’t exist, a new control point will be created.


Dialog_Import_data.htm

Import data window

Choose the file you want import data from.
check which data you want import to (controls, courses,..).
If you check [image] Delete, all records of selected type from actual stage will be deleted.
If you don’t check the checkbox [image] Overwrite, old record will overwritten by new ones:
Controls: according to control code
Courses: according to name
Climb: according to pairs of controls
Lines: according to number (number of creation)
Variants: according to class and number in class
If you check [image] Use a new control for a multistage control in case of that control which is used for more than one stage and the same code and same stages already exists, it will be exchanged.
If it is not checked, old control will be used only for remain stages and new control will be used only for actual stage.


CS_Import_coordinates.htm

Import co-ordinates

Co-ordinates of control points can be obtained from these types of files:

  1. txt files
Sample: (code of controls, x and y co-ordinates)
31 125.14 112.56
32 256.14 32.54

If you want to import controls from OCAD, you have to set the middle of control points as texts in OCAD. Then you can import controls from:

  1. OCAD 4 files
  2. DXF files (OCAD 5,6,7 is able to produce DXF file with texts)


CS_Import_courses.htm

Import courses

Courses in text file in the format written below can be imported.
Name:Name_of_the_course;[Length:length_of_the_course_;][Climb:clim_of_the_course;] Codes:[Start_code,]1_con,2_con,..,last_con[,finish_code];[Routes:no_of_control,no_of_route[/..];][Positions:no_of_control,offset_x_mm,offset_y_mm[/..];]

Samples:
Name:CH16;Codes:32,34,37,100; Name:CH18;Length:2.5;Climb:140;Codes:1,31,35,36,100,21;Routes:1,2/4,3;Positions:2,-5,6/4,6,7/6,-6,-8;

Name: name of the course
Length: length of the course
Climb: climb of the course
Codes: codes of control point in the course
The first code is the code of the start (1-10), last code is code of the finish (21-30, finish no.1 equals 21)
Routes:Marked routes between pairs of controls in the course. Routes:1,3; means insert route no.3 between the first and second control point.
Positions:Positions of a control point number. Positions:2,-5,5; means the control point number of the second control point will be located –5 mm left and 5 mm up from the centre of control point.


Dialog_Competitors.htm

Window Competitors

This window provides enter (import) entries, start time drawing, registration process or competitor item changes.

Sort competitors in the table:
Select item in combo box [image] Sort to sort competitors (ID, class, club, name, competitor number, e-card number, ranking number).
Filter (select group) competitors in the table:
Select item in combo box [image] Filter (all, classes, clubs). Only competitors match to selected criterion in the second combo box in the frame [image] Filter will appear. If tab [image] Drawing or [image] Registration is selected then filter is set to [image] class every time.

Searching in the table:
Press button [image] Find and enter text. If you want to search next appearance of this text press button [image] Find next.
Add a new competitor:
Use button [image] Add to add new empty row to table. The row will contain last club and class.
Delete competitor:
Use button [image] Delete to delete current row from the table. Competitor ID will be not used.

Save data:
Use button with diskette icon to save data (the same way as [image] File/Save).
Tab [image] Entries Import - Export competitors
Tab [image] Drawing
Tab [image] Registration

RELAY:
Select tab [image] Relay if you want to process relay (this tab is not selectable if relay course setting is disabled).


EA_Entries.htm

Entries

Window Event/Competitors
Enter (import) entries:
Select tab [image] Entries.
Database of competitors (national database, database from previous event):
If you have database (text file) which contains names of competitors with club short names and competitor club number or e-card numbers too click on the Database button and select this file – its name will appear beside the button. Set import parameters so that they match to this file.

Enter a new club: click on button [image] New club and enter club short name, name, country and other information. If you have file CLUBS.CSV which is structured as:
Short_name;Club_name;Person;Street;Zip_code;Town;email;
then copy it to the IMPORT folder, after you enter club short name then club name and other information will be populated from the file.

Enter club entry:
Use button [image] Add (the fastest way is to press [image] Alt-A) to add a new row – last club and class will be filled in. You can skip them or change them. Then enter competitor number in club (if exists). If you have set properly parameters for competitor import from database, then if you press [image] right arrow key or [image] Enter competitor name, licence, e-card number a ranking number will be filled in from database. If not, fill it manually.
If some competitor should not be classified together with other competitors in a class then check checkbox in [image] NC.(Not Classified). column. If some competitor want to start early or late then set appropriate value in a column [image] Set.

Black list of lost cards:if [image] blacklist.txt file is located IMPORT folder then if you change e-card number the program searches this file. First 10 characters in every row in a file must be filled by e-card number. If program finds the same e-card number as was changed then it show message. The message contains text from 11th character to the end of line (it can be used for name of the competitor who lost e-card).

Import entry from a text file:
If you have got entry from text file with fixed column length you can Import it.

Electronic punching system - SPORTident:
If you use electronic punching system SPORTident, you can read e-card numbers for competitors on current row by SPORTident readout station. check [image] Read SPORTident a put e-card into readout station. Reading is possible only if you tick using electronic punching system.

Entries for ranking classes.

Entries for Sprint - Semifinal, Final.

Mulistage events:
If you organise multistage events and some competitor wants to take part in only some stages, check these stages in the table called out by button [image] Stages. Competitors are allowed to start in each stage in different classes. They will be printed in their current class in stage results. They will be printed in each class in total results with result not finished (all stages).


EA_Start_time_drawing.htm

Start time drawing

Window Event/Competitors

Start time drawing:
Select tab [image] Drawing.
Select [image] class item in the combo box in the frame [image] Filter. Fill fields:
First start: start time of the first competitor in the class (it is possible to enter it in Course setting/Start intervals).
Interval: interval between competitors (it is possible to enter it in Course setting/Start intervals).
First start number: start number of the first competitor in a class (it is possible to enter it in Course setting/Classes).
Vacants: number of vacants (empty places) in a class
Select how vacant will be located in a class using the combo box (Begin, End, Linear, Random).

Type of drawing:
Random (separate clubs): competitor start times are drawn in a random way so that competitors from the same clubs will be so far among themselves.
Start. sequence: competitor start times are drawn according to entered or imported start sequence.
Opposite to stage: competitor start times are drawn opposite to start times from selected stage.
Chasing start: competitor start times are drawn so that the leading competitor according to total results will start as the first and next competitors according to total time difference to the leading competitor (total results must be recalculated by [image] Event administration/Results).
Random: competitor start times are drawn fully in a random way – no checking for competitors from the same club is performed.
Licence: competitors start times are drawn according to competitors licences – the better licence, the later start time.
Groups: competitors start times are drawn according to start group ( [image] Group column). Start groups for all competitors are assigned by [image] Event administration/Drawing tools/Assign start groups. Then all competitors in the same club have the same start group. Competitor’s start group is stage dependant value. If want to change start group for other stage then select next stage and use [image] Event administration/Drawing tools/Rotate start groups change start groups for all competitors so that they do not start every stage in early or late. Number of start groups can be set in Options/Event administration.

If you want to draw or draw again start times for selected class click on the button [image] Draw class st.times. If you want to draw start times for all classes click on the [image] Draw all st. times. After drawing will have finished the protocol appear – it will contain list of competitor from the same clubs who are starting immediately after themselves.

If you want to read start sequence or ranking points or ranking places for competitors from the text file set import parameters (it is necessary so that the file contain club short name, competitor club number and start sequence or ranking). Click on the button [image] Read start.seq. and select the text file to read start sequence.

If you want to assign start number to competitors without drawing start times use [image] Set numbers button.
If you want to move a competitor in the start list then select competitor row and use buttons [image] ^(up) or [image] v (down).

Separation competitors from same clubs starting immediately after themselves:
If you want so that the program try to separate competitors from the same club in a class enter into field [image] Split clubs how many times should program come through every class and if it find pair of competitors from the same club to try change the second competitor from club with the next competitor. Warning: too much high number can caused that competitors from one club will be moved to the end of the class. Optimal number is 1 or 2.
Start time, start sequence, start number, ranking number or selected ranking subclass can be overwritten manually.


EA_Registration.htm

Registration

Window Event/Competitors

Registration:
Select tab [image] Registration.

New competitor: Click on the button [image] Find 1. vacant – the program will find the Vacant with the lowest start time in the class. If you want to later start time click on the button [image] Find next. If you find Vacant overwrite his items. If a class does not contain a vacant you must create it by button [image] New place.

Change competitor:
enter competitor ID a click on the button [image] Find competitor ID. When you find the competitor change his items.

Cancel registration:
Use button Cancel registration to cancel competitor entry – new Vacant will be created.

Stages:
you can use the [image] Stage button to get through to multistage items (run, start time, start number, e-card number) for each competitor.


EA_Ranking.htm

Ranking

Window Event administration/Competitors

Dividing competitors for ranking classes, it means that for example class M21 is divided to 3 subclasses M21EA, M21A, M21B and the best 40 competitors are allowed to start in M21A. Next 60 competitors can start in M21B and rest of competitors must start in M21C. Competitors are divided according their current ranking places.
It is necessary to create class groups in [image] Event administration/Classes, for example.
Group Number in group
W21A 1 1
W21B 1 2
M21E 2 1
M21A 2 2
M21B 2 3

If competitor wants to start for example in M21B class although he would be allowed to start in M21A (they usually want to run shorter course). In this case it is necessary to enter in column [image] R.R(Ranking requirement) number of class in a group of classes, it means 3 in our example. For rest of competitors let 1 in [image] R.R.column. Iif any competitor obtained Wild card it means that he can start in subclass although his ranking number does not allow him to start in this subclass, enter number of subclass to [image] Wi.C (Wild card) column. This competitor will extend number of competitors in subclass.
Select item [image] Group of cl. in the [image] Filter combobox. Select group of classes and Click on [image] Sort to cl. button and select [image] Ranking item in displayed window to divide competitors to ranking subclasses. Then it is necessary to draw start times.


EA_Sprint.htm

Sprint - Semifinal,Final

Dividing competitors for semifinal and final classes.
1st.stage is semifinal, 2nd stage is final. It is necessary to create class groups in Event administration/Classes.
Example:

Semifinal (stage 1):
Group Number in group
W21A 1 1
W21B 1 2
M21A 2 1
M21B 2 2
M21C 2 3
M21D 2 4
 These classes must have unchecked checkbox in [image] Course setting/Classes, column [image] Stage for stage 2!
Final (stage 2):
W21 1 1
M21 2 1
 These classes must have unchecked checkbox in Course setting/Classes, column Stage for stage 1!
Group number for classes must be the same for all stages!

Semifinal:
Enter all competitors to subclass A (M21A, W21A). Select stage 1. Select item [image] Group of cl. in the [image] Filter combobox. Then select group of classes which competitors you want to divide. Click on [image] Sort to cl.button to divide competitors and select Sprint-Semifinal item in displayed window. Competitors will be divided according to their licences or ranking places so that average level of competitors in classes will be the same. Then it is necessary to draw start times.

Final:
After finishing stage 1 run [image] Event administration/Calculations/Calculate stages places. Select stage 2. Set to every subclass number of competitors who will qualify to final in [image] Event administration/Classes. Tab [image] Special drawing.
Example:
Stage 2
M21 final A 10
M21 final B 20
 Competitors from 1 to 10 place from all semifinales will qualify to Final A and Competitors from 11 to 20 place from all semifinales will qualify to Final B
Open window [image] Event administration/Competitors. Select item [image] Group of cl. in the [image] Filter combobox. Then select group of classes and Click on [image] Sort to cl. button and select [image] Sprint-Final item in displayed window. Start times will be assign automatically.


EA_Import_export_competitors.htm

Import - export competitors

Window Event/Competitors

Import - export competitors: If you want to export or import competitors set import-export properties first.

Import:
Click on the button Import to import competitors. Select text file containing competitors, then all competitors from this file will be imported. If a class does not exist it will be create as a new. If a club short name does not exist then a new club will be created.

Export.
Click on the button [image] Export to export competitors visible in the table according to their sorting.


Edit_Clubs.htm

Window Clubs

The window contains list of clubs.
Use button [image] Add to add a new club.
Use button [image] Delete to delete current club.

If you have file CLUBS.CSV in the structure:
Short club name;club name;contact person;street;zip code;town;e-mail; in the same IMPORT folder , after you enter club short name then club information will be filled in from this file. If you click on the button [image] Read club names, addresses then club names will be filled in according to club short names.

ABBREV.: | club name abbreviation (short name)
NAME: | club name
COUNTRY: | country of club 3 letters short name
PAID: | Amount which has been paid.


Edit_Classes_(Event).htm

Window Event/Classes

The table contains extended class information for event administration.
A new class can be created or name changed by Course setting/Classes).
NAME: | class name
NO.: | number of competitors in a class (it is calculated after you run Event/Reports/Classes)

Tab [image] Fees:
ENTRY FEE: | entry fee for class
MAPS: | Enter number of prepared maps. After registration you can find by Event/Reports/Classes how many maps is necessary to prepare at that.
Early: | amounts of entry fees received before early deadline
Normal: | amounts of entry received before normal deadline
Late: | amounts of entry fees received after normal deadline
In place: | amounts of entry fees in event place
Card: | card rent fee

Tab [image] Start Time drawing:
1.Start: | start time of the first competitor in a class
Interval: | start interval in a class
Last: | start time of the last competitor in a class
Drawing type: | type for start time drawing
Vacants: | number of required vacants places
Vacants placing: | type where vacants should be drawn
1.st No.: | start number of the first competitor I a class

Tab [image] Special drawing:
Cl.group: | number of a group of classes
No. in gr.: | class number in a group of classes
No qual.: | number of competitors who will be qualified to final from every semifinal or maximal number of competitors in ranking class
End chass: | end of chassing start in minutes

Tab [image] Reports:
Print gr.: | number of a group of classes for reports
No. in gr.: | class number in a group of classes for reports
Prizes: | number of competitors winning prizes
Press: | number of competitors for printing result with Press switch
Start list: | the name of the report format for one stage Start list **
St.list total: | the name of the report format for multi stage Start list **
Results: | the name of the report format for one stage Results **
Res. total: | the name of the report format for multi stage Results **
St.list relay: | the name of the report format for team Start list (current stage) **
Res. relay: | the name of the report format for team Result (current stage) **
** | It is possible to report formats in Options/Report format..

Tab [image] Results:
Valid st.: | if it is not checked then stage result will not be calculated for total results
Eval. Type: | result evaluation for class 0 Run time the result consists only from run time. Competitor who does not pass all control in right sequence is disqualified. 1 Penalty the result consist of run time plus penalty multiply number of missing controls 2 No. of mistakes the result consists of number of missing controls (0 missing controls is the best) in case of same number of missing controls better time decides 3 Scorelauf the results consists of total points of punched controls and better run time
Penalty: | penalty for one missing control
Limit, lost: | if a competitor overtakes number of minutes in Limit column in a Point score event then he will lost number of points entered in Lost column for every began minute more than limit.
Tens: | result time of class can be entered in tens of seconds
Early finish: | the time on the entered control will be used as the finish time. Enter the control sequence number in the course.
Omit leg: | it is possible to enter list of legs, which will not be summed into result time. E.g, if you enter 5,6 means that the legs between 4-5 controls and 5-6 controls will not be calculated into result time.
Team kind: | (for relay and team events)

Relay: classic relay
Team-every one-first: | team members start the same time and every one must pass his all the course and the team result time is the time of the first member of the team in the finish **
Team-every one-last: | team members start the same time and every one must pass his all the course and the team result time is the time of the last member of the team in the finish **
Team-together-first: | team members start the same time, every one has the same course (e.g. course with nest or scorelauf) and punches of all team members together must be valid for the course and the team result time is the time of the first member of the team in the finish **
Team-together-last: | team members start the same time, every one has the same course (e.g. course with nest or scorelauf) and punches of all team members together must be valid for the course and the team result time is the time of the last member of the team in the finish **
Team-score-together: | team members start the same time, every one has the same score-O course and members are supposed to run together **. Team result consists of sum of points of controls that team punches. Each control counts only once. Time of the team is the time of the last member of the team in the finish, penalty for late arrival applies to last member's time.
Team-score-independently: | team members start the same time, every one has the same score-O course and members are supposed to run independently. Team result consists of sum of points of controls that each member punches. Each control counts only once. Time of the team is the time of the last member of the team in the finish. Each member gets penalized for late arrival.

**
If rules define that all team members have to punch selected controls in defined time interval then it is necessary to create a file [image] CheckTeam.txt and put the list of classes and their controls, which must be punched in time interval and the interval in minutes and seconds:
Category;Control code;Interval min.sec.
This file must be in the same folder as *.oor file
Example:
Teams1;32;0.30
Teams1;35;0.30
 It means, that all team members in the class Teams1 have to punch the controls 32 and 35 within interval of 30 seconds.


Dialog_StartLists.htm

Dialog Start list

Go to [image] Event administration/Start lists

Select [image] Stage for One stage start list or [image] All for multistage start lists:

Classes- start list of all classes.
Clubs- start list of all clubs (with entry fess). This report fills required club entry fees in clubs table
Starter- start list for starter
E-card- start list of all competitors sorted by e-card
Relay- start list of all classes for relay

New pages each class wil start on new page
Use report template if it is checked then the class start lists are printed in the format set in Event administration/Classes on the [image] Reports tab

Classes select range of classes to print


Dialog_Results.htm

Dialog Results

Go to [image] Event administration/Results

Select [image] Stage for One stage results or [image] All for multistage result:

Classes results by classes.
Split-timesresults with split-times by classes
Export IOFresults export in XML format according to IOF definition
Export WREit exports results in IOF / N3SPORT format. Organisers of World Ranking event will use this report. After export it is necessary to check file header (the first row) with date, club, country etc).
Export Czechit exports results in Czech O-federation format
Export Slovakit exports results in Slovak O-federation format
Relay resultsresults of all classes for relay event

New pages each class wil start on new page
Final results if it is not checked then > character after competitor place indicates that this place is final.
Use report template: if it is checked then the class results are printed in the format set in Event administration/Classes on the [image] Reports tab

Classes select range of classes to print
Delay define expected delay in minutes between time when competitor finishes and his result is available in computer
Range select range of competitors to print


Finish_times_processing.htm

Finish times processing

Set zero start time .
See:
Finish queue
Competitor
Read SI Cards
Print tickets
Options
SPORTident

I. Electronic punching system is used.

If you use SPORTident electronic punching system then check [image] Read SPORTident (it is necessary to set electronic punching ) and set if you want to check competior’s punches and if the start time is taken from start station or it is drawn in advance and how competiotr’s early start will be checked.
Well managed registration is assumption for success result managing, especially if you use electronic punching system – otherwise big problems will occur.

A. Finish station is used for finish time taking (the most common and the most simply and reliable possibility):
Set Read finish time .
Competitors put their e-cards into readout station independently on their finish queue number.

B. Finish station is NOT used:
Tick off Read finish times .
It is necessary so that competitor put their e-card in the same order as they finished! (it is a big source of mistakes which are repaired in a very difficulty way). Competitor is allowed to put his e-card into readout station after his time was inserted into finish queue. The competitor can put his card into readout station only one time.
1. Finish time is measured by button:
See Measure of finish time by button bellow.
2. Finish time is written manualy:
Write finish times to the [image] Time column according to how competitors finished. Add a new row by [image] Add button [image] Alt-A.
Competitor is allowed put his e-card into readout station only once for paragraphs 1. and 2.
The split-times tickets will be printed according to setting described above for topics A and B.

3. Finish time is taken from external device (reading from file)
Contact author.

Possible problems:
Unknoown number of e-card:
if a e-cards which is not assumed to any competitor is put into readout station the a window for input competitor ID will appear. Find competitor ID in prepared printed start list and enter it to the window.
Competitor’s early start:
If you use drawn start times and competitor put his e-card into start or check unit early than it is
set then a question will appear – answer if the competitor should be disqualified or not.
You will see start and check times in the question window. Be carefully because some competitor can go into next start corridor only some seconds early, when he hears first start clock beep. Problems will appear if a difference exists between start clock time and time programmed in electronic stations.
Repeatable reading of e-card:
If any competitor put his e-card into readout station again, the question for confirmation of this reading will appear. It is not allowed to read e-card again if finish station is not used. If finish station is used a referee must decide if competitor can evaluate his e-card again.
Lent e-cards:
If competitor’s e-card is marked as lent then if competitor put his e-card into readout station then Return card frame will light red (the better way is that all lent e-cards are given back with a coach for all club members)

II. Electronic punching is not used.

Do the same as the finish station is not used. It is necessary after reading finish time (manually or by button) enter competitor ID and check competitor’s paper card manually.
After filling finish time and competitor ID the preliminary result ticket will be printed according settings described above.
Rogaining – points scorelauf: - if you do not use electronic punching system, the button with [image] C will appear. After clicking on this button a „paper“ card appear. Then you can check in the card controls which the competitor have punched. Then punched point will be calculated for competitor.

USING ELECTRONICAL MEASURING DEVICE

MEASURE OF FINISH TIME BY BUTTON:
Because of the finish button is located in the same window as reading e-cards it can be used safely only for event with frequency of finishing competitors up to 5 competitors per a minute.
If you press the [image] Write time button then a new row with current finish time will appear. If you tick [image] Write then it is possible to store finish time by [image] space key. It is not possible to delete stored time (row) – you have to do not take next finish time and the wrong finish time correct.
If you tick [image] Connect to server then finish time will be sent to the application server for spectator information.

Export for external software:
If you put into OORG.INI file key
[Options]
FinishInfo=1
Information about finished competitors are written into folder where data file *.oor is located into file
Name_of_event + '-finish'+Stage+number of finish line+'.log'
In this structure where items are separated by semicolon:
Start number;Name;National code;Club abbreviation;Club name;Class;SI cards check time;Start time; Finish time;Result;Current place;Number of competitors who finished in competitor’s class


Dialog_FinishQueue.htm

Window Finish Queue

The window for finish times processing.
The windows bellow are opened automatically after opening [image] Finish queuewindow.
Competitor
Read SI Cards
Print tickets

If the button [image] Read data is pressed down then data read from SI cards are immediately proceeded. If pressed up the [image] Read data button then SI cards will be read but the data from them will not be processed. They will be processed if you press down the button [image] Read data again.
If [image] Print tickets is ticked then tickets will be printed on the selected printer beside themselves according to value if [image] Number of papers field. It is necessary to use fast printer, it means Laser jet.
If you tick [image] St.No. then it you enter competitors into table by his bib number.
It the button [image] 123(< is pressed down then in the case, that the e-card marked as lent was read, the sound of card number will be played. As it is necessary to play many files in a row the execution of the program will paused. If the button is up then only sound notice without card number is played. As it is only one file this sound could be played without suspension the program execution.

Finish queue table:
If you click in the row in the finish queue then fields in the Competitor window will be populated with competitor's data. Then you can use buttons for result, punches or split-times changes.
The [image] TIME column contains competitor's finish time, the [image] NUMBER column contains competitor's ID.

Tools:
The [image] Tools buttonallows to print split-time tickets or recalculate results for the selected finish queue rows. It is possible to shift finish time and competitor's ID record if the finished times are not read from e-card.
If the competitors changed their cards you can use [image] Change comp. button to exchange their punching.


Dialog_Competitor.htm

Window Competitor

The window for selected competitors record editing.
Enter competitor’s ID. If you check [image] St.No then you can enter bib number.

Tab Personal data:
Use the icon with diskette to save after changes of:
Name
Club
Registration
Licence

Tab Start:
Use the icon with diskette to save after changes of:
Class
Electronic card number

Tab Results:

Result changes: If you read SI cards then pressed up button [image] Read data. Enter competitor ID to the field located in the upper left corner (you can use list of competitors by clicking on the button right from it) or click on the competitor row in the finish queue table. Use buttons:
Disq disqualification
DNF: Competitor did not finish (gave up)
Aver: average (Czech specification)
DNS: Competitors did not start.
Calculate: use this button to cancel disqualification or change result (time). If you want to cancel disqualification then you have to put 0 to number of mistakes field.
Changes logging:
All changes made manually are written into file its name is the same as the name of event file and extension is [image] *.CNG (ChaNGes) separated by semicolon:
Timestamp;Type change;Competitor’s ID;Leg;Record number from times table;SI card check time;Start time; Finish time;Number of mistakes;Number of points

Fields:
Finish: finish time in minutes and seconds
Start: start time in minutes and seconds
Check: SPORTident check time
Missing: number of missing controls
Points: number of gained up points

Split-times changes:
Enter competitor ID to the filed located in the upper left corner or click on the competitor row in the finish queue table. Use buttons:
Punches:
A window with contents of punches for entered e-card (repeated punches or bad punches are included). If you change any item and close window or use [image] Write to split-times button then punches will be evaluated according to assumed course and split-times will be calculated for competitor who uses this e-card.
If competitors have exchanged their e-cards (typically in a club or family) use [image] Change comp. button from Finish quee. Find record (e-card) in a finish queue, which has assign wrong e-card. Press [image] Change comp. button and select right competitor for early read e-card.
If number of e-card has been changed (between club or family members) it is possible as well to change e-card numbers for competitors first and then find competitors in the finish queue and click on the [image] Punches button (punches will appear according to e-card number not for a competitor) and use [image] Write to split-times button to evaluate competitor’s run again.

Split-times:
Use this button to open competitor’s split-times window. Columns [image] Place will be filled after you run [image] Event/Results/Recalculate split-times places.

Print split-times ticket:
If you want to print competitor’s ticket again, enter his ID to the field in the upper left corner or click by mouse on his row in the finish queue table and click on the [image] Print ticket button.


Dialog_SplitTimesTickets.htm

Window Print tickets

The window for competitor result and split-times ticket printing.
If you use electronic punching system then check [image] Print split-times. If you want to hang up preliminary results on the rope then you can cut upper part of ticket and hand over to competitor only split-times.
If it is ticked [image] Print logo then the event logo will be printed on competitor’s ticket with result and split-times.
If you want to print the competitor’s ticket again use the Competitor window
Tickets will be printed when the number of cards entered in the field [image] Number of tickets will be reached.
If you want to print them early then click on the [image] Print buffer button. If you do want to print tickets in print buffer then use [image] Delete buffer button.
Tickets are printed on default Windows printer. If you want to print them on cash printer, set it in [image] Options/Event administration.


Dialog_ReadECards.htm

Window Read SI cards

The window for SI Card reading.
Set the serial port and the data speed (baudrate) in SPORTident options
Tick check box [image] Station 1 or [image] Station 2 or both if you want to read SI cards.
If the checkbox [image] Log is checked then the read data will be stored into [image] *.EPL file, which will be processed by Finish queue. Uncheck the field only you do not want to process the data!

If it is checked [image] Process immediately then the result is calculated after data read. It is available only finish times are measured by electronic device.
If it is checked [image] Print ticket then the competitor’s ticket with result and split-times will be printed.
Use the button [image] More>>/<<Less to show/hide e-card information.
If you tick [image] HH:MM:SS then time records will be shown in this format otherwise in MMM.SS format.


Electronic_measuring_device.htm

Eletronic measuring device

It is possible to set the type of measuring device in [image] TimeMeasureDevices.cfgfile.
Sample of output from device:

0011AL 022:25:26.515                    P
0028BL 022:25:42.362                    P
0208BL 022:25:43.914                  20A
0041AL 022:25:46.013                    A
Sample of definition file:
[COMET]

HoursBegin      = 9
HoursLength     = 2
MinutesBegin    =12
MinutesLength   = 2
SecondsBegin    =15
SecondsPartBegin=18
SecondsPartMaxLength=2
ChannelBegin    = 5
ChannelLength   = 1
DayTime         = 0
EndLineLF       = 1
EndLineCR       = 1
Contact author for details.


Finish_times_Problem_solving.htm

Problem solving during time taking

Delayed start:
If you find that there is a difference between start time clock and time programmed in SPORtident stations after any competitor have finished do not try correct it during event. After the event finishes use function [image] Event administration/Finish tools/Move start time for all competitors to move start time for all competitors. Enter difference between time programmed in SPORTident stations and start clock time (if start time zero was delayed about 1 minute and 8 second then enter 1.08). Then evaluate all previous read e-cards again by [image] Event administration/Finish tools/Read e-punch log.

Computer crash during time taking:
A computer crash can happen during time taking or e-card evaluation (electricity outage, wrong set BDE for networking, paper jam in printer and etc)..
During e-card reading all data are stored except of database to text file with the same name as the name of main data file + stage number + COMP port No. + extension EPL (SI Log) (for example MyEvent1.EPL). You can use it in case of computer crash to evaluate all e-cards again. This file is created in the DATA folder and his copy on selected disk according to settings in [image] Options/Event administration (C is default). Do not ever delete this file.

If a computer crash happened then:

  1. Close application on all computers.
  2. Try to run program again and run [image] Options/Reindex function.
  3. If step 2 have failed then it is necessary to close application and delete all files from the folder [image] \DATA\MyEvent except of files with extension .DB – these file contain data.
  4. Run the application on the computer where the data are located and run function [image] Options/Reindex.
  5. If steps 2, 3and 4 have failed then it is necessary to close application, delete all files MyEvent.* in DATA folder expect for [image] MyEvent1.EPL file in folder [image] DATA. Folder [image] DATA\MyEvent must be deleted too. Copy backup stored after registration and open this file after you run application. Then it is necessary to use [image] Event administration/Finish tools/Read e-punch log function and reread e-cards of all finished competitors (if some competitor had not entered his right e-card number then a question window appears. If you are in the middle of the time taking then ignore this question by [image] Escape key and correct this after event finishes).
  6. Run application on next computers.


SPORTident.htm

SPORTident

Study carefully SPORTident equipment user guide.
Note: Please note that you have to have SI stations with Firmware 5 and SI Cards 6 and higher if you want to use controls with codes higher than 255.

Communication between SPORTident readout station and application:
Program readout station by SPORTident manager software and connect it to serial port and set correct baudrate. If readout station is ready then green light appears in the window. If red light appears then readout station is not able to communicate. When you put e-card into readout station yellow light appears. It is necessary to keep e-card in readout station till green light appears. If you put off e-card early then it is necessary to wait till green light appears and put it into readout station again.
If you have problem with SI cards reading then you can try to modify. Then prolong timeout for SI card reading.
Default value is 3.5s for reading one block (page) of SI card data (128 bytes).

Preparation SPORTident station for event:
When you program SPORTident stations it is necessary to ensure so that time programmed in SPORTident stations will be exactly the same as the time used for start clock. Otherwise results time will not be right and it will be necessary to correct them
Set begin of working period of SPORTident stations so that control setters can check (punch) if SPORTident stations work properly when they place SPORTident stations in forest. Control setters must not forget to clean their e-cards before. When they return form forest it is necessary to check if they have all punches stored in their e-cards by Event/Read SI cards – order of punches is very important because you can find that some pair of controls was changed. If you find it during event you will have big problems to correct it. It makes no sense to save time and avoid to do properly check before event starts.
Set end of working period one hour later than you expect, remember that start time can be delayed.
Thing over how SPORTident check and start stations will be placed in start area. Typically CLEAR station is placed in the first corridor – manually checking of e-cards number (by printed start list) is being done in this corridor. CHECK stations are located in the second corridor. Then set time to check competitor’s early start to 2 minutes (if you use 3 corridors) – place stations about 10 metres from the beginning of corridor, because some competitors enter in this corridor when they hear first beep of start clock and they can check their e-card 1 second early than end of minute and they will overstep set limit for early start. You can ensure early start by START station in the last corridor the same way.
SPORTident stations used as radio stations (or connected by cable) must be programmed in Autosend mode. It is not valid for readout stations.
Set SPORTient parameters


Analysis.htm

Analysis

Tables, charts, animation

Analyse your own event:
What do you need?
You can use data coming from Orienteering Organiser (*.oor) which can be downloaded from the web.
or
you can import it:
You can try open sample Import.oor and import some of text files from DATA folder.

I. TXT file with results with split-times of your class.
Where do you obtain it?
  1. Normally you can download it from internet from organiser’s page. If results are available in HTM format, save it as a Text file. Remove header, trailer and do not finished or disqualified competitors from the file. The TXT file must contain results and split-times (of finished competitors) only.
  1. Johan Modig         10.44.00  1.13.03      1.39  (9)      1.27  (4)
     Pan-Kristianstad                           1.39  (9)      3.06  (3)
  2. Tore Sandvik        11.42.00  1.14.24      1.50 (48)      1.49 (68)
     Halden Skiklubb NOR                        1.50 (48)      3.39 (60)
  3. Hakan Eriksson      11.18.00  1.15.10      1.34  (2)      1.36 (25)
     Malungs OK, Skogsmlrdarna                  1.34  (2)      3.10  (6)
The file must contain accumulated (passing) times – split-times are imported from accumulated times.
b) If you have class results with split-times printed on a paper you can create TXT with Notepad. You can only rewrite some runners.

II. Map with course (only for event animation)
a) You can scan your map.
b) You downloaded event map from internet if organisers offer it.
c) You can draw course without map.
1. Create a new file - menu [image] File/New
2. Import map - menu File/Open template (only for animation needed).
3. Set your course(s) . If you do not have map, you can set course approximately. Number of controls in the course is essential.
4. Enter classes - menu Course Setting/Classes. Select courses for classes.
5. Import results

SPOPRTident format (OE2000 CSV):
If you have results in a CSV file produced by OE2000 you can import all results (all classes) from this file with File/Import data/SPORTident.
Coordinates of controls can be imported from file with this format:
1;Start;-10.4;-30
1;Finish;0;0
31;Control;50.8;-60.5
32;Control;56.1;20.5
100;Control;10.1;25.5
Any TXT file:
Use File/Import results – TXT format. Select predefined format (O-Ringen 1999, O-Ringen 2000, OE2000, N3SPORT) or set parameters for your format. Every file has to contain only one class except of OE2000 format. You can check imported result with Event administration/Results.

Swedish data exchange format:
If you have results in Swedish O-federation format you can import all results (all classes) from this file with File/Import results – Swedish format.

Now you can run race animation from menu Analysis/Event animation.

Runners routes


Dialog_Animation.htm

Dialog Race Animation

Select class, runners and press [image] Play button.
If you do not have runners routes then competitors will compete on connections between controls.

Animation according to start- if it ticked then competitors will starts according to their start times. Otherwise they will start together.
Animate routes- if a competitor has drawn his route then and checkbox is ticked then animation will be perform on his route
Show faces- window with country flags, competitors faces will appear after start of animation. Country flags must be store in files named as [image] country.bmp and competitors photos in files competitor’s name.bmp located in IMAGE subfolder.
Clasess loop- if it is ticked after animation of selected class finish then animation of next class starts
Sort by SI card- if it is ticked then competitors will be sorted by e-card number.
Animate controls without time- checked is a default. If a competitor has not time on any control then passing through this control will be calculate according to passing times of previous and next control. It makes sense to uncheck it only for courses with free sequence of controls if the sequence of punching of control without time is unknown (scorelauf).
Refresh split-times window: if it is checked and window with split-times (Analysis/Leg split-times) is opened then if the first competitor achieves next control then widows with leg split-times shows split-times of competitors on the leg between controls.
Repeat leg: if it-is checked then if animation reaches last controls set right of list of classes then animation starts automatically again from the first set controls

Map moving:
None: map will not be moved during the whole animation
Dynamic: map is moved so that position of the first competitor is always in the center of the window
Partial: slice of the map is changed if position reaches set value from border of the window
By controls: every times the current leg between controls is displayed according to position of the first competitor
You can analyse your run with colour tables or charts.charts.


Runners_routes.htm

Runners routes

Draw runner's route

Draw all of the route a) By "Runners routes" button make all other runner’s routes invisible.
b) Draw runner’s route by Line, area button [image].
After completing whole the route press right mouse button on it. Enter competitor ID (you will find competitor ID from the Start list). It must be done after import of result. If you import new result after setting runner's way(s), then you have to set competitor's ID in runner's way(s) again.
You will see runner's routes which are set to be displayed by [image] Analysis/Runner’s routes. If you set a new runner's route, unselect other runner’s routes (otherwise it is very complicated to set similar routes). Any line becomes runner's route if it has set competitor's ID.
If you run animation now, competitors will run on their routes.

Draw part of the route You can predraw runner route using [image] Analysis/Prepare runner's route. The route will be draw in line of selected course. Then click on the route by right mouse button and select [image] Change part of line. Move mouse to the poit where you want to start to modify the line, click left mouse button and hold it and draw runner's route. After you relase the button the new line replaces the previous route.

Import routes
To import runner's routes go to [image] Analysis/Runner routes and select an [image] *.rts file, it means text file, which contains runners routes in format below:

RouteBegin
1,1,0,60,10:Rostrup Jörgen
166.40,324.91
164.97,325.80
164.87,325.80
163.25,326.71
RouteEnd
RouteBegin
2,1,1,70,20:Lakanen Jani
166.13,325.34
165.08,326.00
165.18,326.00
163.26,326.92
RouteEnd

Argument no.1: competitor ID
Argument no.2: stage number
Argument no.3: line type – 0..full, 1..dashed
Argument no.4: length of full line for dashed line
Argument no.5: length of space for dashed line
Text after ":" is consider to be a comment.
Next lines contain point co-ordinates in mm.

If you use demoversion you can import only one competitor to test import possibilities.

Export routes
Click right mouse on the route and use [image] Export button.

you can combine more exported routes into one [image] .rts file (e.g. using Notepad)


Dialog_ExportAnimator.htm

Dialog Export for WWW/Animator

Animation – inserts Java Applet with Animator into WWW pages
Show connections – the Animator will be set with “Show connection” settings after its run (it is possible to change it in the Animator)
Moving legs - the Animator will be set with “Moving legs” settings after its run (it is possible to change it in the Animator)
Show legend - the Animator will be set with “Show legend” settings after its run (it is possible to change it in the Animator)
Orienteering – if it is not checked then Animator will not contain controls for route analysis
Winner’s route for the whole of class – winners route will be used for animation all competitors in a class (it can be used for cross-country, cross-country skiing and other competition)

Event ID - If you want to allow to competitors to save theirs routes, registered your event at www.orienteeringorganiser.com and enter Event ID here
Event security code - Enter Event security code obtained with Event ID. See [image] Event ID.

Split-times loss – tables with split-times will contain loss between controls in minutes
Percent of loss - tables with split-times will contain loss between controls in percents
Flags - tables with split-times will contain competitors country flags
Faces - tables with split-times will contain competitors faces


Spectators_information.htm

Information for spectators

See Menu Spectators
It is necessary to establish network to enable spectator information.

Commentator
On-line WWW results

Split-times coming from SPORTident radio stations:
RACOM company offers transmission device for SPORTident stations. Look at www.racom.cz or send email to Jiri Hruska, hruska@racom.cz.

Reading information from SI radio stations: Set com port for reading SI stations in Event administration/Options. Open window for reading information Spectators/Read SI radio stations. In order to split-times coming from SI radio stations can be distributed to other computers it is necessary to run Application server from Event administration/Network/Run aplication server on the same computer as data from SI radio station are read. Before startion Aplication server it is necessary set computer IP address in Windows – menu Start/Options/Control panel/Network, select TCPIP protocol and press button [image] Properties and set IP address, for example 192.168.0.1 .

Displaying information: It is necessary to connect other computers (clients) to the Aplication server with Event administration/Network/Conect to application server – enter IP address of computer where Application server is running. It is necessary to write port address which is written on the application server window after double dot (:) – for example 192.168.0.1:8888 .
If you write application server IP address to the OORG.INI file, it will be read from it.
Example:
[Options]
AppServerIP=192.168.0.1:8888
 Application server and client can be run on the same computer too, connection establishing can take tens of second.

Spectator results
Spectator results
Spectators control


Dialog_Commentator.htm

Dialog Commentator

Commentator window. Select class to see actual results.
Enter competitor ID or Start number and press [image] Start button to see a competitor actual time. Press [image] Stop button when competitor finishes, time will stop.
If a dot appears after place it means that nobody can achieve better place. (To appear a dot it is necessary to enter start time of the last competitor in the class or draw start times for class.)
If you want class results to be automatically refreshed then choose item Automatically. If you want classes to be automatically changed the choose [image] Classes loop. Set time interval for refreshing in seconds in both cases.


Dialog_OnlineWWWResults.htm

Dialog Online WWW results

The dialog functionality allows to create and automatically send to web result from finish and split-times Tick [image] Radio column in [image] Course setting/Controls for control which you want to publish in results.

Select a folder to which you want the results to be created. Press [image] manually button or check [image] Automatically check box to create files www results. If you want to send result files to web by FTP then enter name of folder on FTP server and set connection parameters. Press [image] Connect button. Everytimes when the results are created they will be sent to FTP server.


Spectators_results.htm

Spectator results

Select class and Enter sequence number of control in the course. Enter sequence number of previous control in the course. If you enter the same number you will see absolute time on this control. If you enter different number you will see leg between two controls.
Enter code of control for relay.
If it is unchecked [image] Always on top the window will hide when split-times from other control comes. You can set minimal time for displaying window in Event admistration/Options (SPORTident).
If you set [image] Limit value on the window different form 0, the window will appear only if competitor's place will be better or equal to entered value.
If it is checked [image] Always on top then the window will be on screen permanently.
If you close and open the window, split-times received early will be read from the database.


Dialog_Spectator_control.htm

Dialog Spectator control

Choose Spectators/Spectator control. Enter code of control. All competitors running throw this control will appear in the window. If you close and open window again, information received early will not be appeared.
If you checked [image] All controls information from all radio station will appear in this window.


Dialog_Read_radio_stations.htm

Dialog Read SI Radio stations

Set baud rate (4800 for cable connected SI station, for radio connected SI station keep information from RACOM company). Check checkbox [image] Read. Green light and label New must appear for cable or ??? label for radio connection. Information coming from SI station will appear in the list in window (control code, e-card number and time). If an competitor with received e-card exists in the database his split-times will be written to the database on the database server.
If you enter control code, e-card number a time and press button [image] Submit in the left part of the window you can simulate SI station.


Options-Application.htm

Options-Application

Select menu item [image] Options/Application.
These parameters are set for application and they are not stored in a event data file.

Tab [image] Data:
Create backup file: when you save an event, the last data file will be renamed to [image] *.~OR
Load last event: when the program is run, the last event will be loaded
Data folder: start folder for Open event menu item
Map folder: start folder for Open template menu item
Folder for import: start folder for import functions
Save path when use import: if it is checked then if you imported data from any folder then the path will be replaced by path of selected file
Folder for export: start folder for export functions
Save path when use export: if it is checked then if you exported data from any folder then the path will be replaced by path of selected file
Images folder: folder for event logo (event.bmp), competitors photos and country flags
Reports folder: folder for reports definition files

Tab [image] Reports
Report margins: page margins for reports, descriptions, control cards
Font for titles: font for report titles
Font for text: font for report text
Use font for symbols: if it is checked, the selected font will be used for symbols of IOF descriptions
Button [image] Font: select the font that contains IOF descriptions. The table for conversion between ASCII characters and numbers of IOF descriptions is stored in file PIKT_DEF.CFG .
Graphic: kind of printing IOF descriptions

Tab [image] National
Language: change program language
Country for a new club: a new club will have entered country short name

Tab [image] Course setting:
Show co-ordinates: cursor co-ordinates will be shown on the status bar
Click distance: resolution for choosing some object in the course setting editor
Curve smooth: level of smoothing drawn curves (1.., the most smooth, more points, 3..the most rough, less points)

Tab [image] Others
Font for tables: font for edit tables
Font for windows: font for windows controls
Copy class: if it is checked then after creation of a new competitor last class will be assign to the competitor
Copy club: if it is checked then after creation of a new competitor last club will be assign to the competitor
Class name length: class name length
Club short name length: club short name length
National competitor code length: national competitor code length


Options_Event.htm

Options-Event

Select menu item [image] Options/Event.

Tab [image] Event
Date: Date of event
Start 00: zero start time
Place: place of event
Club: organising club
Course setter: course setter
Relay event: check this if you want to set relay courses
Licence:licence name of users who created the data
Number of stages: number of stages
Ranking coefficient: raking coefficient of event
Event logo: event logo is printed on the reports from the file event.bmp stored in IMAGE subfolder

Reports:
Event name for reports: page title for reports, descriptions, control cards
Show date: if it is checked then date of event (stage) will be printed in report header
Show day of week: if it is checked then day of week of event (stage) will be printed in report header
Show place: if it is checked then place of event (stage) will be printed in report header
Show club: if it is checked then club of event (stage) will be printed in report header
Show stage No.: if it is checked then stage number of event (stage) and text from right edit box will be printed in report header

IOF descriptions:
Event name for IOF Descriptions: title for IOF descriptions
Show day and month: if it is checked then day and month of event (stage) will be printed in IOF description header
Show year: if it is checked then year of event (stage) will be printed in IOF description header
Show day of week: according to set radio button day of week of event (stage) will be printed in IOF description header
Show place: if it is checked then place of event (stage) will be printed in IOF description header
Show stage No.: if it is checked then stage number of event (stage) and text from right edit box will be printed in IOF description header

Tab [image] Stages:
Multistage event: if it is set then the competitor's result ticket will contain total result for all stages too
Stages information.


Options_Course_setting.htm

Options-Course setting

Select menu item [image] Options/Course setting.

Tab [image] Course setting:
Map scale: scale of map
Automatic length calculation: the course length will be calculated as the course is being set
Automatic climb addition: the climb will be added as the course is being set
First code: when you add a new control then the code of the control will be searched as the lowest available control higher then entered first code
Map bottom left corner: the bottom left corner of the map template in course setting editor
To map starts: the distance from the start line to the map start

Tab [image] Descriptions:
Box size: size of box for IOF descriptions
All descriptions as text: all descriptions will be printed as textual
Colour descriptions: if it is checked, colour descriptions will be printed, otherwise only black

Tab [image] Layout:
Single control:
Circle diameter: diameter of controls when all controls or group of controls are printed
Font height: font height for control codes
Dot in the centre: dot will be printed in the centre of the control point circle
Courses:
Circle diameter: diameter of controls in a course when classes or courses are printed
Font height: font height for numbers of controls in a course
Line width: line width for connections between controls
Control-connection distance: distance between control point circle and the beginning of a connection
Dot after 6.,8.,9.: if it is checked, a dot will be printed after control numbers 6,8,9 in a course
Code with number: SKI, MTBO course printing, for example 1 – 31, 2 - 33,.. will be printed at the control point
Plotter adjust: point number for adjusting the map and plotter for plotting
Font orientation: font orientation for plotting
Move plotter pen after plotting: for move map out of plotter after plotting (for plotters with paper moving)

Control card
Fields in card: the number of fields in the card
Field in row: the number of rows in the card
Width: width of the card
Height: height of the card
Numbers/Codes:
Show numbers: control numbers will be printed
Show codes: control codes will be printed
Pages: the pages of the card will appear according to the selected item
Horizontal orientation: horizontal sequence of controls in the card
Vertical orientation: vertical sequence of controls in the card


Options_Event_administration.htm

Options - Event administration

Select menu item [image] Options/Event administration.

Tab [image] General:
Electronic punching: if you use SPORTident electronic punching system, set radio button to the SPORTident. If you want to use EMIT electronic punching system then contact author first.
Start time drawing:
No of groups for drawing: number of group for drawing method By groups
Finish:
If it is set [image] Windows then competitors result ticket will be printed on Windows default printed. If it is set TM-2000,Citizen or SPORTident then split-times ticket will be printed on selected cash printer – then select the port to which is the cash printer connected
Results:
Split-times beside: number of split-times printed beside themselves for class results with split-times

Bibs:
Different for stages:competitors have independant bibs for every stage
The same for all stages:competitors have independant the bibs for every stage
Bib length:enter max length of bibs

Tab [image] Fees:
Entry fees:
Time entry type:
Per cent of normal: the fee will be calculated as per cent of normal fee
Additional amount: the fee will be calculated by adding entered amount
Class table: every fee will be taken from [image] Event administration/Classes table

Early, normal, late, in place – values for calculation fee if Time entry fee is set to [image] Per cent of normal or [image] Class table.
Multistage:
Total: entry fee is only one amount for competitor (no matter how many stages competitor will take part in)
Stage: entry fee is entered by one amount for stage (every stage has the same amount)
Every stage: entry fee is entered by one amount for every stage (every stage can have different amount)
Class table: if you want to set fees as: 1 stage 30, 2 and 3 stages 70, 4 and 5 stages 100, then you have fill [image] Event administration/Classes this way: Select the stage 1 and enter entry fees amount for competitors who will take part only one stage. Select the stage 2 and enter entry fees amount for competitors who will take part two stages. Enter next stages this way.

Fees:
Number of fees: number of fees which you will use in a event
Fee 1-10: fill name and amount for fee (for example Transport, 50.00)

Cards:
Card rent:
One amount: all competitor pay the same rent fee
Class amount: competitors pay rent fee according to value entered in [image] Event administration/Classes table

Stages:
Total amount: competitor pay the same rent no matter how many stages he want to rent card
Stage amount: entered amount will be multiply by number of stages which competitor will rent card

Tab [image] Columns:
Checked columns will be displayed in the Event administration/Competitors window.

Tab [image] Import:
Specify format for Import (entries import, entries processingdata) and Export (results, archives updates) mainly used Event administration/Competitors window

Select [image] Archive type that you want to work with
Competitors
Clubs
Teams

Select format to use:
Select format that you want to use in [image] Available formats
Click on [image] Set as default to set the format as default for selected Archive type.

Modify or create new format:
Select archive [image] Format
Fixed length - each column in archive has fixed length, e.g. NAME CLUB START
Delimited - columns in acrhive are separated by a delimiter, e.g. NAME;CLUB;START

Select [image] Delimiter for delimited formats
Entered specify delimiter in the field [image] on the right, e.g. ; or , etc.
Tab tabulator will be used as delimiter

If your archive has a header then check the [image] Header checbox

If you prepare a format for multistage event entry import, specify text that represents that competitor will not run given stage in [image] Do not start in stage edit. The text is expected in class column of the imported file.

Use [image] > to move a data field into your format
Use [image] < to remove a data field from your format
Use [image] << to remove all data fields from your format
Use [image] ^ to move selected data field up
Use [image] v to move selected data field down

Define width of data column for Fixed length formats in [image] Width edit box

Use [image] Save button save the format on your harddrive
If you create new format, enter new format name in [image] Available formats combo box and click on [image] Save button.

Tab [image] SPORTident:
SPORTident
Readout station: serial port for connection SPORTident readout station
Baud rate:use 38400 for BSF7/8 read out stations
Disk for SI log backup: the hard disk for backup log of reading e-cards *.EPL.
Time out: the time for reading one 128 byte block (prolong the time in case of problems during SI cards reading)

Read times from card:
Read start time: check if you use SPORTident start station for taking start time.
Read finish time: check if you use SPORTident finish station for taking finish time.

Check start of competitor: Check time: If checked it then the competitor who will have difference between start time and check time less than entered value in minutes will finish then computer will ask you if the competitor should be disqualified due his early start.
Start time: If ticked it and if you use SPORTident start station so that it check early competitor start then the competitor who will have difference between drawn start time and start time written in e-card less than entered value in minutes will finish then computer will ask you if the competitor should be disqualified due his early start.

Action in finish queue after e-card reading:
Add competitor at the end of the finish queue with finish time:
Use this if the competitor punches the finish control
Add competitor at the first empty place in the finish queue without finish time:
Use this if the competitor does not punch the finish control and software operator enters finish times and competitors IDs in a sequence how the competitors finished
Read only punching from e-card:
Use this if the competitor does not punch the finish control and software operator does not enter finish times and competitors IDs in a sequence how the competitors finished


Options_Analysis.htm

Options-Analysis

Tab [image] Colors of table:
Cells in analysis table will be coloured according to entered values.

Tab [image] Colors for animation:
You can set width of line and color of line for animation of competitors

Tab [image] Animation:
Dynamic move
Move map every X picture 1 means that every change of animated line will be done together with change of the map. 5 means that every fifth change of animated line will be done together change of map.

Partial move:
Move if animation reaches X pixel from border 20 means that if animated line of first competitor achieves distance 20 pixels from window border then first competitors position will be moved to the center of the window.
Delay is slice is changeddelay in ms if slice by partial move if changed (it gives time to spectator to focus new position)


Options_spectators.htm

Options-Spectators

New split-time show at least: minimal time to show competitor’s split-time coming from radio controls for spectators.
Application server IP address: IP address of computer which is working as application server for displaying spectators split-times from radiocontrols
Show photoname of files including competitor’s photos for displaying spectator results from radiocontrols will be search by club short name or country name.
For courses with more legs show:
Passing time Use it for classic (team) relay event.
Runner's time Use it for single event if competitors change their e-cards (long course) and event is organised as two or more leg relay event.
SPORTident version:Set version of used SPORTident equipment (version can not be detected through radiomodem).


Conversion_printer_file_to_BMP_format.htm

Conversion printer file to BMP format

This function allows convert any printed file which is created by 24 needles printer EPSON (for example LQ1050) to BMP format

  1. Choose printer file.
  2. Choose type of file.
  3. Choose type of colour format.
  4. Enter DPI value which will be write to output BMP file
  5. Click on [image] OK button. The BMP file will be created to the same folder as printer file is located.


User_report_definition.htm

User report definition

It is possible to define the contents of the category Start lists and results according your own needs. Definition files are stored v [image] C:\Documents and Setting\user\Application data\Orienteering Organiser\Reports (Windows XP) in [image] *.ore extension (Oorg REport). (It will be possible to set report contents in a more comfortable way than in a text editor in one of next release of the software)
The file format has to keep rules for XML files.
Keywords are case sensitive, it means that lower and upper case character must be used exactly as it is defined bellow.
The value of the col (column) attribute defines the position of the first character of the record in the report row.
The value of the stage attribute defines the stage related to the record.
If the stage=0 then it is the record from current stage
The item width defines the width of the report in characters.
It is possible to use the item template as background of the report row.

You can break one record line to many report lines. The example below breaks the line on column 81 <lineBreaks>
<lineBreak>81</lineBreak>
</lineBreaks>

order         - order of the competitor in the category list
CompId        - competitor's ID
CompName      - competitor's name
CompNatCode   - competitor's national code
CompLicence   - competitor's licence
CompWRE       - competitor's WRE
CompUser      - competitor's user field
CompRankPoints- competitor's ranking points
CompRankPlace - competitor's ranking position
ClubShort     - club's abbreviation
ClubName      - club's name
ClubCountry   - club's country
RunClass      - competitor's class in the stage (for stage reports only)
RunCourse     - competitor's course in the stage (for stage reports only)
RunECard      - competitor's el. punching card in the stage
RunStartTime  - competitor's start time in the stage
RunStartNo    - competitor's start number (bib) in the stage
RunResult     - competitor's result in the stage
RunResultTotal- competitor's total result after the stage
RunPoints     - competitor points in the stage
RunPlace      - competitor's place in the stage
RunPlaceTotal - competitor's place after the stage
RunLoss       - competitor's loss behind the winner in the stage
NewRankPoints - amount of winning ranking point in the current stage

TeamId        - team ID
TeamName      - team's name
TeamClubShort - team club abbreviation
TeamStartNo   - team's start number (bib)
TeamMemberName- team's member’s name. Use the attribute "leg" to define the leg of the member.

Use the Run??? items to display team members records. Use the attribute "stage" as it means the leg.


Splits_ticket_definition.htm

Splittimes ticket format

It is possible to define the contents of the Split-times ticket according your own needs. Definition files are stored v [image] C:\Documents and Setting\user\Application data\Orienteering Organiser\Reports in [image] *.spf extension (SPlit-times Format). (It will be possible to set report contents in a more comfortable way than in a text editor in one of next release of the software)
The file format has to keep rules for XML files.
Keywords are case sensitive, it means that lower and upper case character must be used exactly as it is defined bellow.
The value of the col (column) attribute defines the position of the first character of the record in the split-times ticket.
The value of the row attribute defines the row of the field in the split-times ticket.

Refer to Report formatfor available data fields

Additional keywords:

<field name="SplitTimes"  row=" " col=" " /> - use to define where split-times section starts
<text value="My message" row=" " col=" " /> - use to define any text message
RunECardRented        - writes "Return Card" if card is rented

charsPerColumn="30"   - number of characters per 1 competitor ticket
chartBarWidthmm="0.5" - width of the bar that displays lap time loss
chartBarFill="0"      - O no fill, 1 fill
leftSideOffsetMM="0"  - left side offset of the ticket
navigationLevel="0"   - set to 1 one if you want to list navigation level reached by competior
                        from 1 (beginner) to 5 (master) calculated based on loses on split-times


Options_Plotter_driver.htm

Internal plotter driver

The program allows you to use plotters without Windows plotter drivers. HPGL plotters are supported. It is suitable to use this driver instead of Windows driver due map adjust (if it exists). Select the suitable driver for your plotter or you can modify existing drivers. Then set it as default.

Define:
Namename of the driver
Descriptiondescription of the driver
Init: * ** initial sequence is sent to the plotter when it starts plotting
Use always: if not checked, initial sequence is sent in first start of plotting only
Done: * ** done sequence is sent to the plotter when it finishes plotting
Step: * step of plotter pen in mm
Number of pens: if number of pens is 0, plotter will not select pen before plotting
Circle angle: circle is plotting is created by many short lines. The angle is lower the circle will be nice but the plotting of circle will take more time.
Delay: You can set delay between execution plotter commands if the plotter is not able to send to the computer command to wait. If the plotter does not plot correctly try to increase delay value.
Send buffer command: * ** command for plotter to send the free size of its buffer (it is necessary to set if you use software flow control in serial communication)
Rotate 90° command: * ** *** command for plotter to rotate plotting about 90°
Force to move pen some plotters do not respond immediately to commands sending to plotter to move the pen to registration cross. Some commands (for example OA;) can force plotter to respond immediately.
Name of external driver: if plotting is provided through an external driver (writing to a file) write the name of the resident driver
Rotation: according to setting the program send to plotter Rotate 90° command
Connection: port for plotter to connect to computer (in case of external driver set file)
Comm button: * parameters for serial communication
Set as default button: selected driver will be set as default
Save button: save modified driver

* It is necessary to set according to plotter documentation.
** Commands must be written in numeric value of ASCII codes. ASCII values are displayed in red colour.
*** If plotter does not behave according to command written in the Rotate 90° command enter this sequence to the Init field.
According to users experience plotr need not work if it is connected with computer in BiDi mode. More info: Petr Hranicka, rysak@hotmail.com.


Menu.htm

Main Menu

File
View
Course setting
Event administration
Analysis
Spectators
Options
Help


Menu_File.htm

Menu File

New event: | create a new event file.
Open event: | open an existing event file.
Load event from web: | open internet page with event data.
Open event from working files: | event file will not be open from *.oor file but from working files (this function is enabled in network configuration only).
Save event: | save a current event file.
Save event As: | save a current event file under a new name.

Store event to the Internet | Uploads current event to the OORG server.
Download or update event from the Internet | Downloads current event from OORG server.

Import |
 | Import (stage): | data import from other data file.
 | Import results SPORTident format | choose: 1. map template file (it is equivalent to function from File menu) 2. file with control codes and co-ordinates in format: 1;Start;20.00;130.00 1;Finish;25.00;50.00 31;Control;100.00;100.00 3. CSV exported from OE2000 software (courses with controls codes will be imported from this file) and click on OK button.
 | Import results TXT format | - Select TXT file. Set parameters of data in TXT file to import class results.
 | Import results Swedish format | - Select TXT file format of Swedish O-federation. Results and split-times for all classes included in the file will be imported.
Optimize data: |  | deleted records will be erased from data file.
Read data from backup: |  | data will be read from backup file *.~or, if it exists.
Read data from backup: |  | data will be read from backup file *.~or, if it exists.
Update archive
 | Update competitors archive | updates selected compettiors archive from current event data
 | Update clubs archive | updates selected clubs archive from current event data
Open template: |  | open an existing map template. Template Template has to be in BMP format.
Close template: |  | close current template.
Move template: |  | change position of template in the course setting editor by dragging the template.
Print window: |  | Displays window for setting print window. If you select 80% of window then the print window will be set around the current course setting editor window. If you select 100% of print paper the window size will be set according to selected printer. Size of print window can be changed by dragging the edges or corners of the rectangle of print window. You can move the whole window if you press shift key and drag the print window by mouse.
Printer setup: |  | change printer setup.
Exit: |  | exit the application.


Menu_View.htm

Menu View

You can set requested view by mouse too. Move the mouse left top corner of the selected rectangle view. Press left mouse button and drag the mouse into right bottom corner of the requested rectangle view. Release the mouse button.
If you press [image] Ctrl key and click with the right mouse button then the map will be zoom out.

Refresh: | repaint the current course setting window.
Move: | enable to move actual map window.
Zoom in: | zoom in current map 2 times. You can define requested rectangle by mouse dragging.
Zoom out: | zoom out current map 2 times. You can use [image] Ctrl and right mouse button as well.
Entire map: | zoom will be set so that entire map will visible
Undo view: | last previous zoom value and position in the map will be returned.
Dimmed map: | map template will be suppress and courses will be better visible
0.25x |
0.5 |
0.75x |
1x |
1.5x |
2x |
4x |
8x |
Other: | enter other zoom for the course setting window.
Course setting bar: | if it is ticked then course setting bar is visible
Toolbars: | it they are ticked then toolbars are visible

Select zoom for course setting window. If the zoom is increase then the frame for setting a new position will appear. Move with the mouse to a new position and press the left mouse button or press the [image] Enter key. If you want to cancel it, press the [image] Escape key.


Menu_Course_Setting.htm

Menu Course setting

Print
Reports
Controls
Edit IOF descriptions
Lock controls | it lock controls so that they ca not be moved by mouse. Unlock them by choosing this menu again.
Search control | it search and displays control on the map according entered code
Tools for controls
Move controls | A big cross cursor will appear. Click on the place of any control point and move the mouse without releasing the mouse button. Release the mouse button in a new location of the control point. Co-ordinates of all control points will be moved.
Stretch controls | Dialog box will appear. Define the stretching parameter (1 = 100%). The co-ordinates of the control points will be changed according to this parameter.
Import co-ordinates
Take co-ordinates by plotter
Change code of control | If you want to change the code of a control use this item.
Order controls | Order control codes according to selected course.
Generate textual descriptions | Textual descriptions for control will be generated from IOF descriptions
Punches
Edit punch pattern | Use this item if you want to add a new punch pattern or edit an existing punch pattern.
Export punches for controls | If you want to save punch patterns assigned to control points use this item (TXT file with [image] *.PUN extension will be created).
Import punches for controls | If you want to read punch patterns assigned to control points (for example, from the last event), choose [image] *.PUN file.
Courses
Calculate lengths | Length and climb for every class will be calculated, if automatic calculating is set in Options .
Enter climbing | see Dialog Climbing
Import courses
IOF XML | Import (single) courses from IOF XML format
OORG TXT | Import courses from OORG TXT format
Export
IOF XML | Export courses to IOF XML format
Classes
Start intervals
Edit intervals
Check intervals | The program will check start times of competitors so that two competitors having the same first control will not be allowed to start at the same start time. If this situation occurs, the programme will print a report.
Export classes The text file with class information will be produced:
  • length
  • climb
  • number of controls
  • start time of first competitor
  • start interval
  • start time of last competitor
  • 1 for class when penalty can be add to competitors time otherwise 0
  • number of plot maps
  • control codes (number of start is first, number of finish is last)
Draw variants: This submenu provides drawing variant of relay for teams or single with loops courses for competitors. If you want to draw variants, use items below:
Whole class: use it if you want to draw whole class (every variants can be changed).
Add to class: use it if you want to add new competitors or teams to the class and you dont want to change variants drawn before.
All classes: variants for all classes and competitors or teams will be drawn.
Edit variants
Import variants from OCADs | Import relay variants from OCAD. Variant have to be drawn in OORG before import.


Menu_Course_Setting_Print.htm

Menu Course setting\Print

Descriptions | view and print control descriptions for control points, groups of control points, courses, classes, relay and single with loops variants. Descriptions can be printed as pictorial or textual.
Maps | -print by printer (with template) -plot by plotter -export to BMP file (with template) -export to DXF file for control points, groups of control points, courses, classes, relay and single with loops variants.
Cards | view and print punch pattern cards or EMIT backup for courses, classes, relay and single with loops variants.


Menu_Course_Setting_Reports.htm

Menu Course setting\Reports

Codes by classes | length, climb, number of controls and list of codes for each class
Codes by courses | length, climb, number of controls and list of codes for each course
Classes by courses | list of relations between classes and courses
Statistics about leg | list of classes and courses which use a given leg between two controls
Classes by first controls | list of classes by first controls
Statistics about controls | number of classes, courses and competitors which pass through control points
Classes and courses by control | list of classes and courses which pass through a given control point
Lengths for all teams | * list of lengths for every leg and team in the class
Climbing for all teams | * list of climbs for every leg and team in the class
Codes for all teams | * list of length for every leg and team in the class
* Available only for relay event .


Menu_Event_administration.htm

Menu Event administration

Competitors |  | enter of entries, draw start times, registration
Competitor |  | window for editing one competitor record
Clubs |  | edit club data
Classes |  | edit entry fees, number of prepared maps, start times drawing parameters and reports parameters
Rental cards |
 | Rental cards list | edit list of all rental cards, e.g. owned by organising club. One line contains one e-card number. If new competitor is entered into the database and his e-card number is included in the rental card file, the e-card assigned to the competitor will be marked as rented automatically.
 | Mark rental cards from list | mark e-cards assigned to competitors as rental if they are present in the rental cards list
Drawing tools |
 | Assign start groups | assign to all competitors in all stages start group. Competitor from one club will have the same start group.
 | Rotate start groups | rotate start group for all competitors in current stage in cycle.
Post office |  | this function allows send by club email list any notice or club start list or export post addresses to a CSV file which can be used by MS Word or similar programs to print letter labels.
Reports |  |
 | Clubs | list of clubs
 | Classes | list of classes with number of competitors and vacants
 | Duplicates | list of e-cards and national competitors numbers duplicates
Start lists |  |
Finish queue |  | reading finish times
Read SI Cards |  | The window provides SI card reading. It can be opened single. If you open Finish queue then the window is opened automatically.
Print tickets |  | The component ensures competitors split-times ticket printing. It can be opened single. If you open Finish queue then the window is opened automatically.
Special |  | see Using electronic measuring device
 | Time measuring | : The window for reading finish times from text file created by independent device or by Time measuring device window
 | Time measuring - device | : The window proceeding reading finish times from independent device connected by serial port. Read times are stored into text file, which is used by Time measuring window
 | Start queue | : The window with table of start queue, which is used in the case that start times are measured by time device. It works the same way as Finish queue
Automatic result print |  | Open window, which ensure automatic results print. If number on new competitors in a class will be higher then it is set or the time from last printing of class result is longer then it is set then class results will be printed. It is checked one per minute. You can close this window and open again current state is stored on the disk [image] (Documents and settings\user\Application data\Orienteering Organiser\res-stage-date.dat)
Finish tools |  |
 | Recalculate results from finish queue | - recalculate results of competitors according to finish queue
 | Print preliminary results from finish queue - | print split-times of competitors according to finish queue
 | Print preliminary results by club - | print split-times of competitors sorted by club
 | Read e-punch log- | create new finish queue from log file (*.epl) of electrical punching
 | Read finish times log- | read finish time for finish queue from log file (only if finish electronic control is not used)
 | Move start time for all competitors- | move start time for competitors (eliminate difference between electronic punching on controls start time of competitors)
 | Set start time for all competitors to zero- | all competitors start times in current stage will be set to zero
 | Not finished competitors | - list of not finished competitors. If you want to compare this list to records from SPORTident check (start) stations, read this stations with SPORTident manager software and store results of reading to one file remove headers and trailers. Answer Yes to question Compare to SI stations and select the file.
Network |  |
 | Run application server | - for spectator results
 | Connect to application server | - for spectator results
 | Remote split-times printing | - print of runners split-times from remote computer
Results |
Calculations |  |
 | Calculate split-times places | - it recalculates places for split-times and accumulated times for all classes
 | Calculate stages places | - it calculates places in stages for multistage results
 | Calculate relay places | - it calculates places on legs for relay events
 | Calculate points | - it calculates points for competirors based on their place


Menu_Analysis.htm

Menu Analysis

See Analyse event

Race animation | - Live event animation on the map and course. Select class and runners and click on Play button.
Tables | Colour tables with split-times of selected class. *
Charts | Charts for split-times of selected class (You can select required runner from class only).
Compare legs | table of split-times between entered pair of controls (it is possible to compare competitor from all classes)
Leg split-times (for routes) | table of split-times for one leg of selected class. It can stay on top when you are browsing course or competitors routes. Competitors whose routes are displayed are show in the table the same colour as colour of their route is.
Runners routes | the window which allows select competitors routes which you want to see.
Import runners routes |
Prepare runners route | create a new runners route according to selected course
Export for WWW/Animator | export complete HTML pageswith results and split-times together with Java applet which allows to run animations on the internet.


Menu_Spectators.htm

Menu Spectators

Commentator | Window for commentator with actual results of selected class and running time a place of selected competitor.
Spectator results | window for displaying of actual place and split-time of competitor coming from SPORTident radio station. Control which split-time came from will appear on the map.
Spectator control | Window for displaying competitors coming throw selected SPORTident radio spectator control.
Online WWW results |
Read SI radio stations | Window for reading information coming from SPORTident radio stations.

See Using of SPORTident radio stations
Network


Menu_Options.htm

Menu Options

Application |
Event |
Course setting |
Event administration |
Analysis |
Spectators |
Template DPI | this function allows change DPI of map template (DPI of BMP file is damaged by opening a saving BMP file in PaintBrush editor)
Convert printer file to BMP |
Report format |
Splittimes ticket format |
Plotter driver |
Reindex | Paradox index files will be dropped and create again
Stage | select current stage.


Menu_Help.htm

Menu Help

Contents | show help contents
Search for help on | search help file for topic
How to use help | help on using help system
Home page | Orienteering Organiser home page on the web site
Update from web | web page for downloading updates
About | show program information
Centre of O-history Home page | - Centre of O-history web pages (Orienteering Explorer CD-ROM with world event result too)
SPORTident Home page- | electronic punching system
RACOM Home page - | radio communication for SPORTident equipment


Network.htm

Network

MS Windows network is sufficient for the Orienteering Organiser software.
If you want to use the program in network, you have to install Orienteering Organiser program at all computers including Borland Database Engine (BDE), then you have to set:
1. It is necessary to set sharing of files in Windows – menu Start/Options/Control panel/Network, button Sharing files and printers and check Allow to share files and printers.
2. Data are stored on the one of computer called database server. You must set data folder as shared (for reading and writing). Run Explorer application a select data folder – typically C:\Document and settings\user\My documents\Orienteering Organiser\Data. Press right mouse button and choose [image] Share. Set [image] Share as and share type to [image] Full (writing and reading).

It is necessary to map this folder as a disk. Do it with command
SUBST K: "C:\Program Files\Orienteering Organiser\DATA"
It is recommended to store this command to a file for example SUBSTK.BAT. This command must be called always when database server is starting.
It is necessary to share this folder as the same disk, it means K, from all other computers (clients). Select Computer neighbourhood from Windows desktop, find database server computer, DATA folder, press right mouse button and choose Share and select letter K.
3. Start BDE (Borland database Engine) from Start/Options/Control panel/BDE Administrator, select folder [image] Configuration and tree item System/Init and set LOCALSHARE item to TRUE (on the right side). Save this setting with menu item [image] Object/Apply.
It must be done on the all computers otherwise the program will start, but after changing any indexed fields an error occurs and the program shutdowns.
4. The OORG.INI file must contain:
[Database]
LAN=1
If you run then the program you must see LAN title in the beginning of main window caption.
5. After program starting choose [image] File/Open and select the same data file from disk K from all computers.

Specific things for networking:
If you use software in network the data files are opened all the time (*.$0?). Changes which you do are immediately stored. If you exit program without data saving all changes will be done. The Save function only merge data files to the main data file with OOR extension.
If you are process time taking is useful do not run functions as finding or calculation.
It is not allowed to add, remove or change controls, courses, classes, teams variants and lines (areas). These changes need not be visible immediately on next computers.
It is allowed change competitors, clubs, e-card punches, split-times and teams. If you add or remove this data it need be visible until they are read again on the next computers (for example closing and opening window Competitors).

Typical computer network configuration for time taking:

Simple:
1. Computer – database server.
Data files are stored on this computer and printer for printing split-times tickets is connected to it. Also SPORTident readout station is connected to it.
2. Computer
Printer for printing results (reports) is connected to it. Use this computer to do result or competitor items changes.

Big events:
Computers 1 a 2 are used the same way as above.
a) SPORTident radio stations are not used
3. commentator ;use this computer

b) SPORTident radio stations are used
3. computer is used as application server for receiving information from SPORTident radio stations.
4. computer is used for commentator who can obtains information from SPORTident radio stations too.
5. computer is used for spectator information.


System_requirements.htm

System requirements

Operating system: Windows 95/98/NT/2000/XP/Vista/Win7
Processor: minimum 486, Pentium recommended.
Disk: 15 MB for program, 0.5-5MB for data, 1-10MB for bitmap
Memory: minimum 4MB, memory size depends on the size of the map template
Monitor: colour monitor. Resolution 480x640 is supported. The higher resolution, the pleasant work.


Application_files.htm

Application files, data files

The program is installed in standard way to the [image] C:\Program Files\Orienteering Organiser folder which contains these files:

Application files:
oorg.exe | application Orienteering Organiser
oorg.lic | licence file (if this file is not present then the program behaves as an demo version)
oorg.trf | translation file
oorg-??.chm | help files
oorg.url | link to the Orienteering Organiser home page
symbols.dat | IOF description symbol file
sym_name.eng | IOF description symbol English name file
sym_name.cze | IOF description symbol Czech name file
punches.dat | mechanical punches pattern file
pikt_def.cfg | file for conversion IOF description symbols to the font. The first column contains number of IOF description symbol and the second column number of ASCII character for used description font.
oorgocad.crt | conversion file (Cross Reference Table) for course export (controls, start etc.) from Orienteering Organiser to OCAD by DXF files
Animator.jar | java applet for Internet animations
AnimatorGuide.htm | Animator user’s guide
_deisreg.isr, _isreg32.dll, DelsL1.usu | uninstall information files

Next folders:
DRIVERS | plotter internal drivers folder (*.plt)
SOUNDS | sound files (mostly for notice during Finish Queue using)
TEMPLATES | templates files (data, maps)
Data folders: (typical [image] C:\Documents and settings\User\My documents\Orienteering Organiser)
DATA | data file folder (*.oor)
MAPS | map folder (*.bmp)
IMAGE | images folder (club or event logo-event.bmp, country bitmaps – cze.bmp, competitor photos – club_shor_name+competitor_number.bmp)
REPORTS | the folder for reports definition files

Configuration files:
Working and configuration files are stored in folder in which MS Windows system stores application data. You can find it in Windows registry in:
HKEY_CURRENT_USERS\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\App Data
This folder name is displayed in [image] Options/Application under title Working folder.
In Windows 2000 or Windows XP usually:
C:\Documents and settings\User_namel\Application data\Orienteering Organiser
oorg.iniconfiguration file
TicketBuffer.tmp contains list of non printed split-times tickets
Formats this folder contains definition of columns width for import and export competitors from by TXT files

Data files:
Complete data are stored in the file with [image] *.oor extension. Previous copy of this file has [image] *.~or extension. If you run application then a working files will be created from *.oor file:
*.$O? – data tables (controls, courses, classes, variants, climb, lines …)
*.iox – index files for *.$O? tables
Folder with the same name as .oor file will be created too. This folder contains Paradox database tables [image] *.db – clubs, competitors, times, split-times, punches. Rest files are index files for these tables.
If you save data then [image] *.$O? a [image] *.db files are merged to the *.oor file.
When you close application all working files are deleted.

If you use application in network and when you run application and [image] *.$OF file exists then working files are not created but old working files are used. When you close application in network then working files are not deleted.

Log files:
When competitors e-cards are being read then a backup log file is being created. Name of this file contains name of event [image] *.oor extended for number of stage, number of read our station and serial port. Extension is [image] *.EPL (E-Punching Log), for example MyEvent11COM3.EPL. This file contains complete e-cards information. You can use it to read e-cards again. Copy of this file is stored on the disk that is set v Event/Options. If you use network then it is useful to set this disk as the disk of the other computer – you will able to reconstruct data in case that hard disk of database server fails.
The communication between the program and SI read-out station is saved into file with extension [image] *.EPLB file (E-Punching Log Binary).
The text contents of printed competitor's ticket is saved into the file with extension [image] *.CARD.
If finish station is not used and finish times are measured by button then measured time are stored to the file with [image] *.FTL extension (Finish Time Log).


Author.htm

Author-contact, translators

Zbynek Cernin,
e-mail: zbynek@cernin.net
http://www.orienteeringorganiser.com

Advisor for English translation:
David Bowman
(Event administration and Analyses parts are not corrected by David.)

Translators:
Bulgarian: | Georgi Dalakov | dalakov@mail.bg
Croatian: | Zoran krivokapic | a.z.krivokapic@inet.hr
French: | Mickaël Blanchard | mickael@laposte.net
German: | Thomas Wagner | thomas@wagner-ol.de
Hungarian: | Czirbesz Endre | endre.czirbesz@aat.hu
 | Balazs Kovacs | balazs.kovacs@answare.hu
Italian: | Gabriel Fauner | gabriel.fauner@gmail.com
Latvian: | Aivars Zogla | uvsk@fix.lv
Polish: | Artur Kmiecinski | arturkmicic@poczta.onet.pl
-help | Piotr Paszynski | pasza@o2.pl
Portuguese: | Sidónio Freitas | freisido@netmadeira.com
Serbian: | Dragan Nikolic | dragan.nikolic@cummins.co.yu
Slovak: | Dušan Richter | vos@vos-tpk.sk
Spanish: | Salva Ferrer | boro@clubatletismemeliana.com
Swedish: | Gunnar Blockmar | gunnar.blockmar@telia.com
Turkish: | Gokhan Unal | oryantiringturkiye@yahoo.com

Special thanks:
- to thank Zdenek Lenhart for his many years help developing my software for orienteering.
- to Dušan Richter for precise beta version testing
- to Thomas Döhler for help with German homepage translation.


Menu_CourseConsulting.htm

Menu Course Consulting

Warning: comments are not allowed to be edited in network mode
Comments | Opens the window with all comments
Add location based comment | Switches into the mode in which by clicking on the maps a comment will be placed
Show active comments | if checked, all active comments are shown
Show addressed comments | if checked, all addressed comments are shown
Show closed comments | if checked, all closed comments are shown
Show comments for selected objects only | if checked, only comments related to selected object are shown
Expand all comments | Expands all comments
Collapse all comments | Collapses all comments
Export all comments | Exports all comments to a XML file

See more details about Course Consulting at http://www.orienteeringorganiser.com/Course Consulting with OORG Course Consultant.pdf